--------------------------------------------------------
-- Feature Tables
--------------------------------------------------------
--------------------------------------------------------
-- Table BRIDGE
--------------------------------------------------------  
  DROP TABLE "GIS"."BRIDGE" cascade constraints;
  CREATE TABLE "GIS"."BRIDGE" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"BRIDGETYPE" VARCHAR2(18 BYTE), 
	"HORIZONTALCLEARANCE" NUMBER, 
	"HORIZONTALCLEARANCEUOM" VARCHAR2(16 BYTE), 
	"ISFIXED" VARCHAR2(5 BYTE), 
	"LOWCHORDELEVATION" NUMBER, 
	"LOWCHORDELEVATIONUOM" VARCHAR2(16 BYTE), 
	"REFERENCEELEVATION" NUMBER, 
	"REFERENCEELEVDESCRIPTION" VARCHAR2(1024 BYTE), 
	"REFERENCEELEVUOM" VARCHAR2(16 BYTE), 
	"REFERENCEELEVVERTDATUM" VARCHAR2(7 BYTE), 
	"TOPWIDTH" NUMBER, 
	"VERTCLEARANCECLOSED" NUMBER, 
	"VERTCLEARANCECLOSEDUOM" VARCHAR2(16 BYTE), 
	"VERTCLEARANCEOPEN" NUMBER, 
	"VERTCLEARANCEOPENUOM" VARCHAR2(16 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   ) ;
--------------------------------------------------------
-- Table BUILDING
-------------------------------------------------------- 
  DROP TABLE "GIS"."BUILDING" cascade constraints; 
  CREATE TABLE "GIS"."BUILDING" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OEPRATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );  
--------------------------------------------------------
-- Table COMMUNICATIONNODE
--------------------------------------------------------
  DROP TABLE "GIS"."COMMUNICATIONNODE" cascade constraints;
  CREATE TABLE "GIS"."COMMUNICATIONNODE" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"COMMNETWORKTYPE" VARCHAR2(80 BYTE), 
	"COMMNODETYPE" VARCHAR2(80 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"UTILITYNODETYPE" VARCHAR2(80 BYTE), 
	"FITTINGTYPE" VARCHAR2(80 BYTE), 
	"VOLUMETYPE" VARCHAR2(80 BYTE), 
	"NODESHAPETYPE" VARCHAR2(80 BYTE), 
	"LENGTH" NUMBER, 
	"WIDTH" NUMBER, 
	"HEIGHT" NUMBER, 
	"ELEVATION" NUMBER, 
	"ELEVATIONACCURACY" NUMBER, 
	"BOTTOMDIAMETER" NUMBER, 
	"TOPDIAMETER" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE), 
	"MS_ANGLE" NUMBER, 
	"MS_X_SCALE" NUMBER, 
	"MS_Y_SCALE" NUMBER
   );
--------------------------------------------------------
-- Table COMMUNICATIONSEGMENT
--------------------------------------------------------
  DROP TABLE "GIS"."COMMUNICATIONSEGMENT" cascade constraints;  
  CREATE TABLE "GIS"."COMMUNICATIONSEGMENT" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"COMMNETWORKTYPE" VARCHAR2(80 BYTE), 
	"COMMSEGMENTTYPE" VARCHAR2(80 BYTE), 
	"MATERIAL" VARCHAR2(25 BYTE), 
	"DIAMETER" NUMBER, 
	"MEASUREDLENGTH" NUMBER, 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"SEGMENTTYPE" VARCHAR2(80 BYTE), 
	"SEGMENTSHAPETYPE" VARCHAR2(80 BYTE), 
	"RISE" NUMBER, 
	"SPAN" NUMBER, 
	"BOTTOMWIDTH" NUMBER, 
	"RIGHTSIDESLOPE" NUMBER, 
	"LEFTSIDESLOPE" NUMBER, 
	"OFFSETEND" VARCHAR2(25 BYTE), 
	"OFFSETSTART" VARCHAR2(25 BYTE), 
	"STATIONEND" VARCHAR2(25 BYTE), 
	"STATIONSTART" VARCHAR2(25 BYTE), 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );
--------------------------------------------------------
-- Table CONFLICTNODE
--------------------------------------------------------
  DROP TABLE "GIS"."CONFLICTNODE" cascade constraints;
  CREATE TABLE "GIS"."CONFLICTNODE" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"CONFLICTTYPE" VARCHAR2(25 BYTE), 
	"DEPTH" NUMBER, 
	"STATIONEND" VARCHAR2(25 BYTE), 
	"STATIONSTART" VARCHAR2(25 BYTE), 
	"OFFSETEND" VARCHAR2(25 BYTE), 
	"OFFSETSTART" VARCHAR2(25 BYTE), 
	"RESPONSIBLEPARTY" VARCHAR2(80 BYTE), 
	"CONFLICTER" VARCHAR2(25 BYTE), 
	"CONFLICTEE" VARCHAR2(25 BYTE), 
	"CURRENTSTATUS" VARCHAR2(25 BYTE), 
	"RECOMMENDATION" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONDESCR" VARCHAR2(1024 BYTE), 
	"REQUIRESTESTHOLE" VARCHAR2(5 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE), 
	"MS_ANGLE" NUMBER, 
	"MS_X_SCALE" NUMBER, 
	"MS_Y_SCALE" NUMBER
   );  
--------------------------------------------------------
-- Table CONSTRUCTIONLINE
-------------------------------------------------------- 
  DROP TABLE "GIS"."CONSTRUCTIONLINE" cascade constraints; 
  CREATE TABLE "GIS"."CONSTRUCTIONLINE" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );
--------------------------------------------------------
-- Table CONTROLMONUMENTPOINT
--------------------------------------------------------
  DROP TABLE "GIS"."CONTROLMONUMENTPOINT" cascade constraints;
  CREATE TABLE "GIS"."CONTROLMONUMENTPOINT" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"HORIZONTALDATUM" VARCHAR2(7 BYTE), 
	"COLLECTIONVERTICALDATUM" VARCHAR2(7 BYTE), 
	"MONUMENTPOINTTYPE" VARCHAR2(16 BYTE), 
	"COORDINATESYSTEM" VARCHAR2(16 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"EPOCDATE" VARCHAR2(20 BYTE), 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE), 
	"MS_ANGLE" NUMBER, 
	"MS_X_SCALE" NUMBER, 
	"MS_Y_SCALE" NUMBER
   );
--------------------------------------------------------
-- Table DOTPERMIT
--------------------------------------------------------
  DROP TABLE "GIS"."DOTPERMIT" cascade constraints;
  CREATE TABLE "GIS"."DOTPERMIT" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEISSUED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );    
--------------------------------------------------------
-- Table ELECCONDUITBANKSEGMENT
--------------------------------------------------------
  DROP TABLE "GIS"."ELECCONDUITBANKSEGMENT" cascade constraints;  
  CREATE TABLE "GIS"."ELECCONDUITBANKSEGMENT" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"ELECNETWORKTYPE" VARCHAR2(80 BYTE), 
	"ELECSEGMENTTYPE" VARCHAR2(80 BYTE), 
	"MATERIAL" VARCHAR2(25 BYTE), 
	"DIAMETER" NUMBER, 
	"MEASUREDLENGTH" NUMBER, 
	"NUMBEROFCONDUITS" NUMBER, 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"SEGMENTTYPE" VARCHAR2(80 BYTE), 
	"SEGMENTSHAPETYPE" VARCHAR2(80 BYTE), 
	"RISE" NUMBER, 
	"SPAN" NUMBER, 
	"BOTTOMWIDTH" NUMBER, 
	"RIGHTSIDESLOPE" NUMBER, 
	"LEFTSIDESLOPE" NUMBER, 
	"OFFSETEND" VARCHAR2(25 BYTE), 
	"OFFSETSTART" VARCHAR2(25 BYTE), 
	"STATIONEND" VARCHAR2(25 BYTE), 
	"STATIONSTART" VARCHAR2(25 BYTE), 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );     
--------------------------------------------------------
-- Table ELECTRICALNODE
-------------------------------------------------------- 
  DROP TABLE "GIS"."ELECTRICALNODE" cascade constraints;
  CREATE TABLE "GIS"."ELECTRICALNODE" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"ELECNETWORKTYPE" VARCHAR2(80 BYTE), 
	"ELECNODETYPE" VARCHAR2(80 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"UTILITYNODETYPE" VARCHAR2(80 BYTE), 
	"FITTINGTYPE" VARCHAR2(80 BYTE), 
	"VOLUMETYPE" VARCHAR2(80 BYTE), 
	"NODESHAPETYPE" VARCHAR2(80 BYTE), 
	"LENGTH" NUMBER, 
	"WIDTH" NUMBER, 
	"HEIGHT" NUMBER, 
	"ELEVATION" NUMBER, 
	"ELEVATIONACCURACY" NUMBER, 
	"BOTTOMDIAMETER" NUMBER, 
	"TOPDIAMETER" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE), 
	"MS_ANGLE" NUMBER, 
	"MS_X_SCALE" NUMBER, 
	"MS_Y_SCALE" NUMBER
   );
--------------------------------------------------------
-- Table ELECTRICALSEGMENT
--------------------------------------------------------
  DROP TABLE "GIS"."ELECTRICALSEGMENT" cascade constraints;
  CREATE TABLE "GIS"."ELECTRICALSEGMENT" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"ELECNETWORKTYPE" VARCHAR2(80 BYTE), 
	"ELECSEGMENTTYPE" VARCHAR2(80 BYTE), 
	"MATERIAL" VARCHAR2(25 BYTE), 
	"DIAMETER" NUMBER, 
	"MEASUREDLENGTH" NUMBER, 
	"AVERAGEWIREGAUGE" NUMBER, 
	"IMPEDANCE" NUMBER, 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"SEGMENTTYPE" VARCHAR2(80 BYTE), 
	"SEGMENTSHAPETYPE" VARCHAR2(80 BYTE), 
	"RISE" NUMBER, 
	"SPAN" NUMBER, 
	"BOTTOMWIDTH" NUMBER, 
	"RIGHTSIDESLOPE" NUMBER, 
	"LEFTSIDESLOPE" NUMBER, 
	"OFFSETEND" VARCHAR2(25 BYTE), 
	"OFFSETSTART" VARCHAR2(25 BYTE), 
	"STATIONEND" VARCHAR2(25 BYTE), 
	"STATIONSTART" VARCHAR2(25 BYTE), 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );  
--------------------------------------------------------
-- Table ELEVATIONCONTOUR
--------------------------------------------------------
  DROP TABLE "GIS"."ELEVATIONCONTOUR" cascade constraints;  
  CREATE TABLE "GIS"."ELEVATIONCONTOUR" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"CONTOURELEVATION" NUMBER, 
	"ELEVATIONUOM" VARCHAR2(16 BYTE), 
	"ELEVCONTOURTYPE" VARCHAR2(13 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );   
--------------------------------------------------------
-- Table EXTERNALPROPERTYINTEREST
--------------------------------------------------------
  DROP TABLE "GIS"."EXTERNALPROPERTYINTEREST" cascade constraints;   
  CREATE TABLE "GIS"."EXTERNALPROPERTYINTEREST" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"INTERESTTYPE" VARCHAR2(15 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );   
--------------------------------------------------------
-- Table FENCE
--------------------------------------------------------
  DROP TABLE "GIS"."FENCE" cascade constraints; 
  CREATE TABLE "GIS"."FENCE" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"FENCEUSE" VARCHAR2(15 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );
--------------------------------------------------------
-- Table GASNODE
-------------------------------------------------------- 
  DROP TABLE "GIS"."GASNODE" cascade constraints; 
  CREATE TABLE "GIS"."GASNODE" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"GASNETWORKTYPE" VARCHAR2(80 BYTE), 
	"GASNODETYPE" VARCHAR2(80 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"UTILITYNODETYPE" VARCHAR2(80 BYTE), 
	"FITTINGTYPE" VARCHAR2(80 BYTE), 
	"VOLUMETYPE" VARCHAR2(80 BYTE), 
	"NODESHAPETYPE" VARCHAR2(80 BYTE), 
	"LENGTH" NUMBER, 
	"WIDTH" NUMBER, 
	"HEIGHT" NUMBER, 
	"ELEVATION" NUMBER, 
	"ELEVATIONACCURACY" NUMBER, 
	"BOTTOMDIAMETER" NUMBER, 
	"TOPDIAMETER" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE), 
	"MS_ANGLE" NUMBER, 
	"MS_X_SCALE" NUMBER, 
	"MS_Y_SCALE" NUMBER
   );
--------------------------------------------------------
-- Table GASSEGMENT
--------------------------------------------------------
  DROP TABLE "GIS"."GASSEGMENT" cascade constraints;   
  CREATE TABLE "GIS"."GASSEGMENT" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"GASNETWORKTYPE" VARCHAR2(80 BYTE), 
	"GASSEGMENTTYPE" VARCHAR2(80 BYTE), 
	"MATERIAL" VARCHAR2(25 BYTE), 
	"DIAMETER" NUMBER, 
	"INTERNALDIAMETER" NUMBER, 
	"MEASUREDLENGTH" NUMBER, 
	"ROUGHNESSCOEFFICIENT" NUMBER, 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"SEGMENTTYPE" VARCHAR2(80 BYTE), 
	"SEGMENTSHAPETYPE" VARCHAR2(80 BYTE), 
	"RISE" NUMBER, 
	"SPAN" NUMBER, 
	"BOTTOMWIDTH" NUMBER, 
	"RIGHTSIDESLOPE" NUMBER, 
	"LEFTSIDESLOPE" NUMBER, 
	"OFFSETEND" VARCHAR2(25 BYTE), 
	"OFFSETSTART" VARCHAR2(25 BYTE), 
	"STATIONEND" VARCHAR2(25 BYTE), 
	"STATIONSTART" VARCHAR2(25 BYTE), 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );
--------------------------------------------------------
-- Table GRID
--------------------------------------------------------
  DROP TABLE "GIS"."GRID" cascade constraints;
  CREATE TABLE "GIS"."GRID" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );  
--------------------------------------------------------
-- Table GUARDRAIL
--------------------------------------------------------
  DROP TABLE "GIS"."GUARDRAIL" cascade constraints; 
  CREATE TABLE "GIS"."GUARDRAIL" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"GUARDMATERIAL" VARCHAR2(16 BYTE), 
	"GUARDHEIGHT" NUMBER, 
	"HEIGHTUOM" VARCHAR2(16 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );
--------------------------------------------------------
-- Table INSTALLATION
--------------------------------------------------------
  DROP TABLE "GIS"."INSTALLATION" cascade constraints;
  CREATE TABLE "GIS"."INSTALLATION" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"DATERECORDED" DATE, 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );      
--------------------------------------------------------
-- Table LANDPARCEL
--------------------------------------------------------
  DROP TABLE "GIS"."LANDPARCEL" cascade constraints;  
  CREATE TABLE "GIS"."LANDPARCEL" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );
--------------------------------------------------------
-- Table PAVEMENTSECTION
--------------------------------------------------------
  DROP TABLE "GIS"."PAVEMENTSECTION" cascade constraints;
  CREATE TABLE "GIS"."PAVEMENTSECTION" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"PAVEMENTSECTIONTYPE" VARCHAR2(16 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );
--------------------------------------------------------
-- Table POLNODE
--------------------------------------------------------
  DROP TABLE "GIS"."POLNODE" cascade constraints;
  CREATE TABLE "GIS"."POLNODE" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"POLNETWORKTYPE" VARCHAR2(80 BYTE), 
	"POLNODETYPE" VARCHAR2(80 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"UTILITYNODETYPE" VARCHAR2(80 BYTE), 
	"FITTINGTYPE" VARCHAR2(80 BYTE), 
	"VOLUMETYPE" VARCHAR2(80 BYTE), 
	"NODESHAPETYPE" VARCHAR2(80 BYTE), 
	"LENGTH" NUMBER, 
	"WIDTH" NUMBER, 
	"HEIGHT" NUMBER, 
	"ELEVATION" NUMBER, 
	"ELEVATIONACCURACY" NUMBER, 
	"BOTTOMDIAMETER" NUMBER, 
	"TOPDIAMETER" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE), 
	"MS_ANGLE" NUMBER, 
	"MS_X_SCALE" NUMBER, 
	"MS_Y_SCALE" NUMBER
   );     
--------------------------------------------------------
-- Table POLSEGMENT
--------------------------------------------------------
  DROP TABLE "GIS"."POLSEGMENT" cascade constraints;
  CREATE TABLE "GIS"."POLSEGMENT" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"POLNETWORKTYPE" VARCHAR2(80 BYTE), 
	"POLSEGMENTTYPE" VARCHAR2(80 BYTE), 
	"MATERIAL" VARCHAR2(25 BYTE), 
	"DIAMETER" NUMBER, 
	"INTERNALDIAMETER" NUMBER, 
	"MEASUREDLENGTH" NUMBER, 
	"ROUGHNESSCOEFFICIENT" NUMBER, 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"SEGMENTTYPE" VARCHAR2(80 BYTE), 
	"SEGMENTSHAPETYPE" VARCHAR2(80 BYTE), 
	"RISE" NUMBER, 
	"SPAN" NUMBER, 
	"BOTTOMWIDTH" NUMBER, 
	"RIGHTSIDESLOPE" NUMBER, 
	"LEFTSIDESLOPE" NUMBER, 
	"OFFSETEND" VARCHAR2(25 BYTE), 
	"OFFSETSTART" VARCHAR2(25 BYTE), 
	"STATIONEND" VARCHAR2(25 BYTE), 
	"STATIONSTART" VARCHAR2(25 BYTE), 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );
--------------------------------------------------------
-- Table PROJECTREFERENCE
--------------------------------------------------------  
  DROP TABLE "GIS"."PROJECTREFERENCE" cascade constraints;
  CREATE TABLE "GIS"."PROJECTREFERENCE" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"PROJECTID" VARCHAR2(30 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );
--------------------------------------------------------
-- Table RAILTRACK
--------------------------------------------------------
  DROP TABLE "GIS"."RAILTRACK" cascade constraints;
  CREATE TABLE "GIS"."RAILTRACK" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"RAILCONSTRUCTIONTYPE" VARCHAR2(15 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );       
--------------------------------------------------------
-- Table RECREATIONAREA
--------------------------------------------------------
  DROP TABLE "GIS"."RECREATIONAREA" cascade constraints;
  CREATE TABLE "GIS"."RECREATIONAREA" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"AREATYPE" VARCHAR2(22 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   ); 
--------------------------------------------------------
-- Table RECREATIONFEATURE
--------------------------------------------------------
  DROP TABLE "GIS"."RECREATIONFEATURE" cascade constraints;
  CREATE TABLE "GIS"."RECREATIONFEATURE" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE), 
	"MS_ANGLE" NUMBER, 
	"MS_X_SCALE" NUMBER, 
	"MS_Y_SCALE" NUMBER
   );    
--------------------------------------------------------
-- Table RESTRICTEDAREA
--------------------------------------------------------
  DROP TABLE "GIS"."RESTRICTEDAREA" cascade constraints;
  CREATE TABLE "GIS"."RESTRICTEDAREA" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"RESTRICTIONDESCRIPTION" VARCHAR2(1024 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );    
--------------------------------------------------------
-- Table ROADPATH
--------------------------------------------------------
  DROP TABLE "GIS"."ROADPATH" cascade constraints;
  CREATE TABLE "GIS"."ROADPATH" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"ROUTENAME" VARCHAR2(30 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );
--------------------------------------------------------
-- Table SIGN
--------------------------------------------------------
  DROP TABLE "GIS"."SIGN" cascade constraints;
  CREATE TABLE "GIS"."SIGN" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"SIGNTYPE" VARCHAR2(14 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE), 
	"MS_ANGLE" NUMBER, 
	"MS_X_SCALE" NUMBER, 
	"MS_Y_SCALE" NUMBER
   );
--------------------------------------------------------
-- Table SITE
--------------------------------------------------------
  DROP TABLE "GIS"."SITE" cascade constraints;  
  CREATE TABLE "GIS"."SITE" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );  
--------------------------------------------------------
-- Table STRUCTURE
--------------------------------------------------------
  DROP TABLE "GIS"."STRUCTURE" cascade constraints;   
  CREATE TABLE "GIS"."STRUCTURE" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );
--------------------------------------------------------
-- Table SURVEYJOB
--------------------------------------------------------
  DROP TABLE "GIS"."SURVEYJOB" cascade constraints; 
  CREATE TABLE "GIS"."SURVEYJOB" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"SURVEYTYPE" VARCHAR2(26 BYTE), 
	"SURVEYMETHOD" VARCHAR2(26 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );  
--------------------------------------------------------
-- Table SURVEYPOINT
-------------------------------------------------------- 
  DROP TABLE "GIS"."SURVEYPOINT" cascade constraints; 
  CREATE TABLE "GIS"."SURVEYPOINT" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"SOURCETYPE" VARCHAR2(15 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE), 
	"MS_ANGLE" NUMBER, 
	"MS_X_SCALE" NUMBER, 
	"MS_Y_SCALE" NUMBER
   );
--------------------------------------------------------
-- Table THERMALNODE
--------------------------------------------------------
  DROP TABLE "GIS"."THERMALNODE" cascade constraints;
  CREATE TABLE "GIS"."THERMALNODE" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"THERMNETWORKTYPE" VARCHAR2(80 BYTE), 
	"THERMNODETYPE" VARCHAR2(80 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"UTILITYNODETYPE" VARCHAR2(80 BYTE), 
	"FITTINGTYPE" VARCHAR2(80 BYTE), 
	"VOLUMETYPE" VARCHAR2(80 BYTE), 
	"NODESHAPETYPE" VARCHAR2(80 BYTE), 
	"LENGTH" NUMBER, 
	"WIDTH" NUMBER, 
	"HEIGHT" NUMBER, 
	"ELEVATION" NUMBER, 
	"ELEVATIONACCURACY" NUMBER, 
	"BOTTOMDIAMETER" NUMBER, 
	"TOPDIAMETER" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE), 
	"MS_ANGLE" NUMBER, 
	"MS_X_SCALE" NUMBER, 
	"MS_Y_SCALE" NUMBER
   );    
--------------------------------------------------------
-- Table THERMALSEGMENT
--------------------------------------------------------
  DROP TABLE "GIS"."THERMALSEGMENT" cascade constraints;  
  CREATE TABLE "GIS"."THERMALSEGMENT" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"THERMNETWORKTYPE" VARCHAR2(80 BYTE), 
	"THERMSEGMENTTYPE" VARCHAR2(80 BYTE), 
	"MATERIAL" VARCHAR2(25 BYTE), 
	"DIAMETER" NUMBER, 
	"INTERNALDIAMETER" NUMBER, 
	"MEASUREDLENGTH" NUMBER, 
	"ROUGHNESSCOEFFICIENT" NUMBER, 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"SEGMENTYPE" VARCHAR2(80 BYTE), 
	"SEGMENTSHAPETYPE" VARCHAR2(80 BYTE), 
	"RISE" NUMBER, 
	"SPAN" NUMBER, 
	"BOTTOMWIDTH" NUMBER, 
	"RIGHTSIDESLOPE" NUMBER, 
	"LEFTSIDESLOPE" NUMBER, 
	"OFFSETEND" VARCHAR2(25 BYTE), 
	"OFFSETSTART" VARCHAR2(25 BYTE), 
	"STATIONEND" VARCHAR2(25 BYTE), 
	"STATIONSTART" VARCHAR2(25 BYTE), 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );
--------------------------------------------------------
-- Table TOWER
--------------------------------------------------------
  DROP TABLE "GIS"."TOWER" cascade constraints;   
  CREATE TABLE "GIS"."TOWER" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"FACILITYNAME" VARCHAR2(65 BYTE), 
	"HEIGHTMAX" NUMBER, 
	"HEIGHTUOM" VARCHAR2(16 BYTE), 
	"TOWERCONDITION" VARCHAR2(14 BYTE), 
	"TOWERMATERIAL" VARCHAR2(16 BYTE), 
	"TOWERUSETYPE" VARCHAR2(14 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE), 
	"MS_ANGLE" NUMBER, 
	"MS_X_SCALE" NUMBER, 
	"MS_Y_SCALE" NUMBER
   );
--------------------------------------------------------
-- Table TRANSPORTATIONTUNNEL
--------------------------------------------------------
  DROP TABLE "GIS"."TRANSPORTATIONTUNNEL" cascade constraints;
  CREATE TABLE "GIS"."TRANSPORTATIONTUNNEL" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"AVERAGEHEIGHT" NUMBER, 
	"AVERAGEWIDTH" NUMBER, 
	"NAICSCODE" NUMBER, 
	"TUNNELLENGTH" NUMBER, 
	"TUNNELTYPE" VARCHAR2(8 BYTE), 
	"VERTCLEARANCE" NUMBER, 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );   
--------------------------------------------------------
-- Table UTILITYFEATURE
--------------------------------------------------------
  DROP TABLE "GIS"."UTILITYFEATURE" cascade constraints;  
  CREATE TABLE "GIS"."UTILITYFEATURE" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"NETWORKTYPE" VARCHAR2(14 BYTE), 
	"NETWORKSUBTYPE" VARCHAR2(29 BYTE), 
	"UTILITYFEATURETYPE" VARCHAR2(27 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );
--------------------------------------------------------
-- Table WALL
--------------------------------------------------------
  DROP TABLE "GIS"."WALL" cascade constraints;
  CREATE TABLE "GIS"."WALL" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"WALLHEIGHT" NUMBER, 
	"WALLHEIGHTUOM" VARCHAR2(16 BYTE), 
	"WALLTYPE" VARCHAR2(8 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   ); 
--------------------------------------------------------
-- Table WASTEWATERNODE
--------------------------------------------------------
  DROP TABLE "GIS"."WASTEWATERNODE" cascade constraints;
  CREATE TABLE "GIS"."WASTEWATERNODE" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"WWATERNETWORKTYPE" VARCHAR2(80 BYTE), 
	"WWATERNODETYPE" VARCHAR2(80 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"UTILITYNODETYPE" VARCHAR2(80 BYTE), 
	"FITTINGTYPE" VARCHAR2(80 BYTE), 
	"VOLUMETYPE" VARCHAR2(80 BYTE), 
	"NODESHAPETYPE" VARCHAR2(80 BYTE), 
	"LENGTH" NUMBER, 
	"WIDTH" NUMBER, 
	"HEIGHT" NUMBER, 
	"ELEVATION" NUMBER, 
	"ELEVATIONACCURACY" NUMBER, 
	"BOTTOMWIDTH" NUMBER, 
	"TOPDIAMETER" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE), 
	"MS_ANGLE" NUMBER, 
	"MS_X_SCALE" NUMBER, 
	"MS_Y_SCALE" NUMBER
   ); 
--------------------------------------------------------
-- Table WASTEWATERSEGMENT
--------------------------------------------------------
  DROP TABLE "GIS"."WASTEWATERSEGMENT" cascade constraints;
  CREATE TABLE "GIS"."WASTEWATERSEGMENT" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"WWATERNETWORKTYPE" VARCHAR2(80 BYTE), 
	"WWATERSEGMENTTYPE" VARCHAR2(80 BYTE), 
	"MATERIAL" VARCHAR2(25 BYTE), 
	"DIAMETER" NUMBER, 
	"INTERNALDIAMETER" NUMBER, 
	"MEASUREDLENGTH" NUMBER, 
	"ROUGHNESSCOEFFICIENT" NUMBER, 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );      
--------------------------------------------------------
-- Table WATERCOURSELINE
--------------------------------------------------------
  DROP TABLE "GIS"."WATERCOURSELINE" cascade constraints; 
  CREATE TABLE "GIS"."WATERCOURSELINE" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"WATERCOURSEELEMENT" VARCHAR2(19 BYTE), 
	"HYDROCODE" VARCHAR2(30 BYTE), 
	"ISNAVIGABLE" VARCHAR2(5 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );
--------------------------------------------------------
-- Table WATERFEATURE
--------------------------------------------------------
  DROP TABLE "GIS"."WATERFEATURE" cascade constraints;
  CREATE TABLE "GIS"."WATERFEATURE" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"WATERNETWORKTYPE" VARCHAR2(80 BYTE), 
	"WATERNODETYPE" VARCHAR2(80 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   );
--------------------------------------------------------
-- Table WATERNODE
--------------------------------------------------------
  DROP TABLE "GIS"."WATERNODE" cascade constraints;
  CREATE TABLE "GIS"."WATERNODE" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"WATERNETWORKTYPE" VARCHAR2(80 BYTE), 
	"WATERNODETYPE" VARCHAR2(80 BYTE), 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"UTILITYNODETYPE" VARCHAR2(80 BYTE), 
	"FITTINGTYPE" VARCHAR2(80 BYTE), 
	"VOLUMETYPE" VARCHAR2(80 BYTE), 
	"NODESHAPETYPE" VARCHAR2(80 BYTE), 
	"LENGTH" NUMBER, 
	"WIDTH" NUMBER, 
	"HEIGHT" NUMBER, 
	"ELEVATION" NUMBER, 
	"ELEVATIONACCURACY" NUMBER, 
	"BOTTOMDIAMETER" NUMBER, 
	"TOPDIAMETER" NUMBER, 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE), 
	"MS_ANGLE" NUMBER, 
	"MS_X_SCALE" NUMBER, 
	"MS_Y_SCALE" NUMBER
   );
--------------------------------------------------------
-- Table WATERSEGMENT
--------------------------------------------------------
  DROP TABLE "GIS"."WATERSEGMENT" cascade constraints;
  CREATE TABLE "GIS"."WATERSEGMENT" 
   (	"LABEL" VARCHAR2(80 BYTE), 
	"DESCRIPTION" VARCHAR2(1024 BYTE), 
	"UTILITYOWNER" VARCHAR2(80 BYTE), 
	"WATERSEGMENTTYPE" VARCHAR2(80 BYTE), 
	"WATERNETWORKTYPE" VARCHAR2(80 BYTE), 
	"MATERIAL" VARCHAR2(25 BYTE), 
	"DIAMETER" NUMBER, 
	"INTERNALDIAMETER" NUMBER, 
	"MEASUREDLENGTH" NUMBER, 
	"ROUGHNESSCOEFFICIENT" NUMBER, 
	"QUALITYLEVEL" VARCHAR2(40 BYTE), 
	"OPERATIONALSTATUS" VARCHAR2(17 BYTE), 
	"INVESTIGATIONLEVEL" VARCHAR2(25 BYTE), 
	"CONFLICTID" VARCHAR2(25 BYTE), 
	"RESOLUTION" VARCHAR2(25 BYTE), 
	"RESOLUTIONSTATUS" VARCHAR2(25 BYTE), 
	"DATEINSTALLED" DATE, 
	"DATECHANGED" DATE, 
	"SOURCEFILE" VARCHAR2(60 BYTE), 
	"SITEID" NUMBER, 
	"OBJECTID" NUMBER, 
	"SEGMENTTYPE" VARCHAR2(80 BYTE), 
	"SEGMENTSHAPETYPE" VARCHAR2(80 BYTE), 
	"RISE" NUMBER, 
	"SPAN" NUMBER, 
	"BOTTOMWIDTH" NUMBER, 
	"RIGHTSIDESLOPE" NUMBER, 
	"LEFTSIDESLOPE" NUMBER, 
	"OFFSETEND" VARCHAR2(25 BYTE), 
	"OFFSETSTART" VARCHAR2(25 BYTE), 
	"STATIONEND" VARCHAR2(25 BYTE), 
	"STATIONSTART" VARCHAR2(25 BYTE), 
	"COMMENTS" VARCHAR2(1024 BYTE), 
	"OGC_GEOMETRY" "MDSYS"."SDO_GEOMETRY" , 
	"XFM_ID" VARCHAR2(36 BYTE)
   ); 

--------------------------------------------------------
-- Domain Tables
--------------------------------------------------------  
--------------------------------------------------------
-- Table DOMAIN_BRIDGETYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_BRIDGETYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_BRIDGETYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_COMNDETYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_COMNDETYPE" cascade constraints; 
  CREATE TABLE "GIS"."DOMAIN_COMNDETYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_COMNETTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_COMNETTYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_COMNETTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;  
--------------------------------------------------------
-- Table DOMAIN_COMSEGTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_COMSEGTYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_COMSEGTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;  
--------------------------------------------------------
-- Table DOMAIN_CONFLICTRESOL
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_CONFLICTRESOL" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_CONFLICTRESOL" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_CONFLICTTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_CONFLICTTYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_CONFLICTTYPE" 
   (	"TYPE" VARCHAR2(25 BYTE), 
	"DESCRIPTION" VARCHAR2(25 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_COORDINATESYSTEM
-------------------------------------------------------- 
  DROP TABLE "GIS"."DOMAIN_COORDINATESYSTEM" cascade constraints; 
  CREATE TABLE "GIS"."DOMAIN_COORDINATESYSTEM" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ; 
--------------------------------------------------------
-- Table DOMAIN_ELEVATIONCONTOURTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_ELEVATIONCONTOURTYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_ELEVATIONCONTOURTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_ENDETYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_ENDETYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_ENDETYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;    
--------------------------------------------------------
-- Table DOMAIN_ENETTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_ENETTYPE" cascade constraints;  
  CREATE TABLE "GIS"."DOMAIN_ENETTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_ESEGTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_ESEGTYPE" cascade constraints; 
  CREATE TABLE "GIS"."DOMAIN_ESEGTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_EXTERNALINTERESTTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_EXTERNALINTERESTTYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_EXTERNALINTERESTTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_FENCEUSETYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_FENCEUSETYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_FENCEUSETYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;    
--------------------------------------------------------
-- Table DOMAIN_FITTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_FITTYPE" cascade constraints;  
  CREATE TABLE "GIS"."DOMAIN_FITTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_GASNDETYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_GASNDETYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_GASNDETYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;  
--------------------------------------------------------
-- Table DOMAIN_GASNETTYPE
-------------------------------------------------------- 
  DROP TABLE "GIS"."DOMAIN_GASNETTYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_GASNETTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_GASSEGTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_GASSEGTYPE" cascade constraints; 
  CREATE TABLE "GIS"."DOMAIN_GASSEGTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_GSIP_LENGTHUOM
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_GSIP_LENGTHUOM" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_GSIP_LENGTHUOM" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_HORIZONTALDATUMTYPE
--------------------------------------------------------  
  DROP TABLE "GIS"."DOMAIN_HORIZONTALDATUMTYPE" cascade constraints; 
  CREATE TABLE "GIS"."DOMAIN_HORIZONTALDATUMTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_MONUMENTPOINTTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_MONUMENTPOINTTYPE" cascade constraints; 
  CREATE TABLE "GIS"."DOMAIN_MONUMENTPOINTTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_NDESHPTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_NDESHPTYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_NDESHPTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_NETWORKSUBTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_NETWORKSUBTYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_NETWORKSUBTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ; 
--------------------------------------------------------
-- Table DOMAIN_NETWORKTYPE
--------------------------------------------------------
  CREATE TABLE "GIS"."DOMAIN_NETWORKTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;  
--------------------------------------------------------
-- Table DOMAIN_PAVEMENTSECTIONT
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_PAVEMENTSECTIONT" cascade constraints;
  DROP TABLE "GIS"."DOMAIN_NETWORKTYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_PAVEMENTSECTIONT" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;  
--------------------------------------------------------
-- Table DOMAIN_PIPEMATERIAL
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_PIPEMATERIAL" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_PIPEMATERIAL" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_POLNDETYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_POLNDETYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_POLNDETYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;  
--------------------------------------------------------
-- Table DOMAIN_POLNETTYPE
--------------------------------------------------------  
  DROP TABLE "GIS"."DOMAIN_POLNETTYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_POLNETTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;  
--------------------------------------------------------
-- Table DOMAIN_POLSEGTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_POLSEGTYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_POLSEGTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;     
--------------------------------------------------------
-- Table DOMAIN_RAILCONSTRUCTIONTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_RAILCONSTRUCTIONTYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_RAILCONSTRUCTIONTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_RECREATIONAREATYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_RECREATIONAREATYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_RECREATIONAREATYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;   
--------------------------------------------------------
-- Table DOMAIN_SEGSHPTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_SEGSHPTYPE" cascade constraints; 
  CREATE TABLE "GIS"."DOMAIN_SEGSHPTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_SEGTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_SEGTYPE" cascade constraints; 
  CREATE TABLE "GIS"."DOMAIN_SEGTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_SIGNTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_SIGNTYPE" cascade constraints;    
  CREATE TABLE "GIS"."DOMAIN_SIGNTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_STRUCTURALCONDITION
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_STRUCTURALCONDITION" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_STRUCTURALCONDITION" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;  
--------------------------------------------------------
-- Table DOMAIN_STRUCTUREMATERIAL
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_STRUCTUREMATERIAL" cascade constraints;   
  CREATE TABLE "GIS"."DOMAIN_STRUCTUREMATERIAL" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_SURVEYMETHOD
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_SURVEYMETHOD" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_SURVEYMETHOD" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_SURVEYSOURCETYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_SURVEYSOURCETYPE" cascade constraints;  
  CREATE TABLE "GIS"."DOMAIN_SURVEYSOURCETYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_SURVEYTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_SURVEYTYPE" cascade constraints; 
  CREATE TABLE "GIS"."DOMAIN_SURVEYTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_THMNETTYPE
--------------------------------------------------------  
  DROP TABLE "GIS"."DOMAIN_THMNETTYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_THMNETTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_THMNODTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_THMNODTYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_THMNODTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_THMSEGTYPE
--------------------------------------------------------   
  DROP TABLE "GIS"."DOMAIN_THMSEGTYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_THMSEGTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_TOWERUSETYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_TOWERUSETYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_TOWERUSETYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;  
--------------------------------------------------------
-- Table DOMAIN_TRANSTUNNELTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_TRANSTUNNELTYPE" cascade constraints;   
  CREATE TABLE "GIS"."DOMAIN_TRANSTUNNELTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_UTILITYDATAQUALITY
-------------------------------------------------------- 
  DROP TABLE "GIS"."DOMAIN_UTILITYDATAQUALITY" cascade constraints; 
  CREATE TABLE "GIS"."DOMAIN_UTILITYDATAQUALITY" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_UTILITYFEATURET
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_UTILITYFEATURET" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_UTILITYFEATURET" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_UTILITYINVESTATIONLEVEL
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_UTILITYRESOLUTIONS
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_UTILITYRESOLUTIONS" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_UTILITYRESOLUTIONS" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_UTILITYRESOLUTIONSTATUS
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;  
--------------------------------------------------------
-- Table DOMAIN_UTILOPSTAT
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_UTILOPSTAT" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_UTILOPSTAT" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_UTLNDETYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_UTLNDETYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_UTLNDETYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;  
--------------------------------------------------------
-- Table DOMAIN_VERTICALDATUMTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_VERTICALDATUMTYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_VERTICALDATUMTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_VOLTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_VOLTYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_VOLTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;  
--------------------------------------------------------
-- Table DOMAIN_WALLTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_WALLTYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_WALLTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_WATERCOURSEELEMENTTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_WATERCOURSEELEMENTTYPE" cascade constraints;  
  CREATE TABLE "GIS"."DOMAIN_WATERCOURSEELEMENTTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_WTRNDETYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_WTRNDETYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_WTRNDETYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_WTRNETTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_WTRNETTYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_WTRNETTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_WTRSEGTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_WTRSEGTYPE" cascade constraints;  
  CREATE TABLE "GIS"."DOMAIN_WTRSEGTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_WWNDETYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_WWNDETYPE" cascade constraints;   
  CREATE TABLE "GIS"."DOMAIN_WWNDETYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_WWNETTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_WWNETTYPE" cascade constraints;
  CREATE TABLE "GIS"."DOMAIN_WWNETTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;
--------------------------------------------------------
-- Table DOMAIN_WWSEGTYPE
--------------------------------------------------------
  DROP TABLE "GIS"."DOMAIN_WWSEGTYPE" cascade constraints; 
  CREATE TABLE "GIS"."DOMAIN_WWSEGTYPE" 
   (	"TYPE" VARCHAR2(64 BYTE), 
	"DESCRIPTION" VARCHAR2(64 BYTE)
   ) ;  

--------------------------------------------------------
-- Table Indexes
--------------------------------------------------------  
--------------------------------------------------------
-- Index BRIDGE_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."BRIDGE_SIDX" ON "GIS"."BRIDGE" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=polygon');
--------------------------------------------------------
-- Index PK_BRIDGE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_BRIDGE" ON "GIS"."BRIDGE" ("XFM_ID") ;
--------------------------------------------------------
-- Index BUILDING_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."BUILDING_SIDX" ON "GIS"."BUILDING" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=multipolygon');
--------------------------------------------------------
-- Index PK_BUILDING
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_BUILDING" ON "GIS"."BUILDING" ("XFM_ID") ;
--------------------------------------------------------
-- Index COMMUNICATIONNODE_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."COMMUNICATIONNODE_SIDX" ON "GIS"."COMMUNICATIONNODE" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=point');
--------------------------------------------------------
-- Index PK_COMMUNICATIONNODE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_COMMUNICATIONNODE" ON "GIS"."COMMUNICATIONNODE" ("XFM_ID") ;  
--------------------------------------------------------
-- Index COMMUNICATIONSEGMENT_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."COMMUNICATIONSEGMENT_SIDX" ON "GIS"."COMMUNICATIONSEGMENT" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=curve');
--------------------------------------------------------
-- Index PK_COMMUNICATIONSEGMENT
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_COMMUNICATIONSEGMENT" ON "GIS"."COMMUNICATIONSEGMENT" ("XFM_ID") ;  
--------------------------------------------------------
-- Index PK_CONFLICTNODE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_CONFLICTNODE" ON "GIS"."CONFLICTNODE" ("XFM_ID") ;
--------------------------------------------------------
-- Index CONTROLMONUMENTPOINT_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."CONTROLMONUMENTPOINT_SIDX" ON "GIS"."CONTROLMONUMENTPOINT" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=point');
--------------------------------------------------------
-- Index PK_CONTROLMONUMENTPOINT
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_CONTROLMONUMENTPOINT" ON "GIS"."CONTROLMONUMENTPOINT" ("XFM_ID") ;    
--------------------------------------------------------
-- Index CONSTRUCTIONLINE_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."CONSTRUCTIONLINE_SIDX" ON "GIS"."CONSTRUCTIONLINE" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=curve');
--------------------------------------------------------
-- Index PK_CONSTRUCTIONLINE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_CONSTRUCTIONLINE" ON "GIS"."CONSTRUCTIONLINE" ("XFM_ID") ;
--------------------------------------------------------
-- Index DOTPERMIT_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."DOTPERMIT_SIDX" ON "GIS"."DOTPERMIT" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=polygon');
--------------------------------------------------------
-- Index PK_DOTPERMIT
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOTPERMIT" ON "GIS"."DOTPERMIT" ("XFM_ID") ;
--------------------------------------------------------
-- Index ELECCONDUITBANKSEGMENT_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."ELECCONDUITBANKSEGMENT_SIDX" ON "GIS"."ELECCONDUITBANKSEGMENT" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=curve');
--------------------------------------------------------
-- Index PK_ELECCONDUITBANKSEGMENT
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_ELECCONDUITBANKSEGMENT" ON "GIS"."ELECCONDUITBANKSEGMENT" ("XFM_ID") ;      
--------------------------------------------------------
-- Index ELECTRICALNODE_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."ELECTRICALNODE_SIDX" ON "GIS"."ELECTRICALNODE" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=point');
--------------------------------------------------------
-- Index PK_ELECTRICALNODE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_ELECTRICALNODE" ON "GIS"."ELECTRICALNODE" ("XFM_ID") ;
--------------------------------------------------------
-- Index ELECTRICALSEGMENT_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."ELECTRICALSEGMENT_SIDX" ON "GIS"."ELECTRICALSEGMENT" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=curve');
--------------------------------------------------------
-- Index PK_ELECTRICALSEGMENT
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_ELECTRICALSEGMENT" ON "GIS"."ELECTRICALSEGMENT" ("XFM_ID") ;   
--------------------------------------------------------
-- Index ELEVATIONCONTOUR_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."ELEVATIONCONTOUR_SIDX" ON "GIS"."ELEVATIONCONTOUR" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=curve');
--------------------------------------------------------
-- Index PK_ELEVATIONCONTOUR
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_ELEVATIONCONTOUR" ON "GIS"."ELEVATIONCONTOUR" ("XFM_ID") ;
--------------------------------------------------------
-- Index EXTERNALPROPERTYINTEREST_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."EXTERNALPROPERTYINTEREST_SIDX" ON "GIS"."EXTERNALPROPERTYINTEREST" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=polygon');
--------------------------------------------------------
-- Index PK_EXTERNALPROPERTYINTEREST
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_EXTERNALPROPERTYINTEREST" ON "GIS"."EXTERNALPROPERTYINTEREST" ("XFM_ID") ;      
--------------------------------------------------------
-- Index FENCE_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."FENCE_SIDX" ON "GIS"."FENCE" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=curve');  
--------------------------------------------------------
-- Index PK_FENCE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_FENCE" ON "GIS"."FENCE" ("XFM_ID") ;
--------------------------------------------------------
-- Index GASNODE_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."GASNODE_SIDX" ON "GIS"."GASNODE" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=point');
--------------------------------------------------------
-- Index PK_GASNODE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_GASNODE" ON "GIS"."GASNODE" ("XFM_ID") ;
--------------------------------------------------------
-- Index GASSEGMENT_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."GASSEGMENT_SIDX" ON "GIS"."GASSEGMENT" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=curve');
--------------------------------------------------------
-- Index PK_GASSEGMENT
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_GASSEGMENT" ON "GIS"."GASSEGMENT" ("XFM_ID") ;
--------------------------------------------------------
-- Index GRID_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."GRID_SIDX" ON "GIS"."GRID" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=polygon');
--------------------------------------------------------
-- Index PK_GRID
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_GRID" ON "GIS"."GRID" ("XFM_ID") ;  
--------------------------------------------------------
-- Index GUARDRAIL_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."GUARDRAIL_SIDX" ON "GIS"."GUARDRAIL" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=curve');
--------------------------------------------------------
-- Index PK_GUARDRAIL
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_GUARDRAIL" ON "GIS"."GUARDRAIL" ("XFM_ID") ;
--------------------------------------------------------
-- Index INSTALLATION_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."INSTALLATION_SIDX" ON "GIS"."INSTALLATION" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=polygon');
--------------------------------------------------------
-- Index PK_INSTALLATION
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_INSTALLATION" ON "GIS"."INSTALLATION" ("XFM_ID") ;    
--------------------------------------------------------
-- Index LANDPARCEL_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."LANDPARCEL_SIDX" ON "GIS"."LANDPARCEL" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=polygon');
--------------------------------------------------------
-- Index PK_LANDPARCEL
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_LANDPARCEL" ON "GIS"."LANDPARCEL" ("XFM_ID") ;
--------------------------------------------------------
-- Index PAVEMENTSECTION_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."PAVEMENTSECTION_SIDX" ON "GIS"."PAVEMENTSECTION" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=multipolygon');
--------------------------------------------------------
-- Index PK_PAVEMENTSECTION
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_PAVEMENTSECTION" ON "GIS"."PAVEMENTSECTION" ("XFM_ID") ;  
--------------------------------------------------------
-- Index POLNODE_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."POLNODE_SIDX" ON "GIS"."POLNODE" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=point');
--------------------------------------------------------
-- Index PK_POLNODE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_POLNODE" ON "GIS"."POLNODE" ("XFM_ID") ;
--------------------------------------------------------
-- Index POLSEGMENT_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."POLSEGMENT_SIDX" ON "GIS"."POLSEGMENT" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=curve');
--------------------------------------------------------
-- Index PK_POLSEGMENT
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_POLSEGMENT" ON "GIS"."POLSEGMENT" ("XFM_ID") ;  
--------------------------------------------------------
-- Index PROJECTREFERENCE_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."PROJECTREFERENCE_SIDX" ON "GIS"."PROJECTREFERENCE" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=polygon');
--------------------------------------------------------
-- Index PK_PROJECTREFERENCE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_PROJECTREFERENCE" ON "GIS"."PROJECTREFERENCE" ("XFM_ID") ;  
--------------------------------------------------------
-- Index RAILTRACK_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."RAILTRACK_SIDX" ON "GIS"."RAILTRACK" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=curve');
--------------------------------------------------------
-- Index PK_RAILTRACK
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_RAILTRACK" ON "GIS"."RAILTRACK" ("XFM_ID") ;  
--------------------------------------------------------
-- Index RECREATIONAREA_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."RECREATIONAREA_SIDX" ON "GIS"."RECREATIONAREA" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=polygon');
--------------------------------------------------------
-- Index PK_RECREATIONAREA
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_RECREATIONAREA" ON "GIS"."RECREATIONAREA" ("XFM_ID") ;
--------------------------------------------------------
-- Index RECREATIONFEATURE_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."RECREATIONFEATURE_SIDX" ON "GIS"."RECREATIONFEATURE" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=point');
--------------------------------------------------------
-- Index PK_RECREATIONFEATURE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_RECREATIONFEATURE" ON "GIS"."RECREATIONFEATURE" ("XFM_ID") ;  
--------------------------------------------------------
-- Index RESTRICTEDAREA_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."RESTRICTEDAREA_SIDX" ON "GIS"."RESTRICTEDAREA" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=polygon');
--------------------------------------------------------
-- Index PK_RESTRICTEDAREA
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_RESTRICTEDAREA" ON "GIS"."RESTRICTEDAREA" ("XFM_ID") ;    
--------------------------------------------------------
-- Index ROADPATH_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."ROADPATH_SIDX" ON "GIS"."ROADPATH" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=curve');
--------------------------------------------------------
-- Index PK_ROADPATH
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_ROADPATH" ON "GIS"."ROADPATH" ("XFM_ID") ;    
--------------------------------------------------------
-- Index SIGN_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."SIGN_SIDX" ON "GIS"."SIGN" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=point');  
--------------------------------------------------------
-- Index PK_SIGN
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_SIGN" ON "GIS"."SIGN" ("XFM_ID") ;
--------------------------------------------------------
-- Index SITE_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."SITE_SIDX" ON "GIS"."SITE" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=polygon');
--------------------------------------------------------
-- Index PK_SITE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_SITE" ON "GIS"."SITE" ("XFM_ID") ;  
--------------------------------------------------------
-- Index STRUCTURE_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."STRUCTURE_SIDX" ON "GIS"."STRUCTURE" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=multipolygon');
--------------------------------------------------------
-- Index PK_STRUCTURE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_STRUCTURE" ON "GIS"."STRUCTURE" ("XFM_ID") ;
--------------------------------------------------------
-- Index SURVEYJOB_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."SURVEYJOB_SIDX" ON "GIS"."SURVEYJOB" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=multipolygon');
--------------------------------------------------------
-- Index PK_SURVEYJOB
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_SURVEYJOB" ON "GIS"."SURVEYJOB" ("XFM_ID") ;   
--------------------------------------------------------
-- Index SURVEYPOINT_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."SURVEYPOINT_SIDX" ON "GIS"."SURVEYPOINT" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=point');
--------------------------------------------------------
-- Index PK_SURVEYPOINT
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_SURVEYPOINT" ON "GIS"."SURVEYPOINT" ("XFM_ID") ;
--------------------------------------------------------
-- Index THERMALNODE_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."THERMALNODE_SIDX" ON "GIS"."THERMALNODE" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=point');
--------------------------------------------------------
-- Index PK_THERMALNODE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_THERMALNODE" ON "GIS"."THERMALNODE" ("XFM_ID") ;     
--------------------------------------------------------
-- Index THERMALSEGMENT_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."THERMALSEGMENT_SIDX" ON "GIS"."THERMALSEGMENT" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=curve');
--------------------------------------------------------
-- Index PK_THERMALSEGMENT
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_THERMALSEGMENT" ON "GIS"."THERMALSEGMENT" ("XFM_ID") ;   
--------------------------------------------------------
-- Index TOWER_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."TOWER_SIDX" ON "GIS"."TOWER" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=point');
--------------------------------------------------------
-- Index PK_TOWER
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_TOWER" ON "GIS"."TOWER" ("XFM_ID") ;
--------------------------------------------------------
-- Index TRANSPORTATIONTUNNEL_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."TRANSPORTATIONTUNNEL_SIDX" ON "GIS"."TRANSPORTATIONTUNNEL" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=polygon');
--------------------------------------------------------
-- Index PK_TRANSPORTATIONTUNNEL
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_TRANSPORTATIONTUNNEL" ON "GIS"."TRANSPORTATIONTUNNEL" ("XFM_ID") ;   
--------------------------------------------------------
-- Index UTILITYFEATURE_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."UTILITYFEATURE_SIDX" ON "GIS"."UTILITYFEATURE" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=multipolygon');
--------------------------------------------------------
-- Index PK_UTILITYFEATURE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_UTILITYFEATURE" ON "GIS"."UTILITYFEATURE" ("XFM_ID") ;
--------------------------------------------------------
-- Index WALL_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."WALL_SIDX" ON "GIS"."WALL" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=curve');
--------------------------------------------------------
-- Index PK_WALL
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_WALL" ON "GIS"."WALL" ("XFM_ID") ;  
--------------------------------------------------------
-- Index WASTEWATERNODE_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."WASTEWATERNODE_SIDX" ON "GIS"."WASTEWATERNODE" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=point');
--------------------------------------------------------
-- Index PK_WASTEWATERNODE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_WASTEWATERNODE" ON "GIS"."WASTEWATERNODE" ("XFM_ID") ;
--------------------------------------------------------
-- Index WASTEWATERSEGMENT_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."WASTEWATERSEGMENT_SIDX" ON "GIS"."WASTEWATERSEGMENT" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=curve');
--------------------------------------------------------
-- Index PK_WASTEWATERSEGMENT
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_WASTEWATERSEGMENT" ON "GIS"."WASTEWATERSEGMENT" ("XFM_ID") ;       
--------------------------------------------------------
-- Index WATERCOURSELINE_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."WATERCOURSELINE_SIDX" ON "GIS"."WATERCOURSELINE" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=curve');  
--------------------------------------------------------
-- Index PK_WATERCOURSELINE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_WATERCOURSELINE" ON "GIS"."WATERCOURSELINE" ("XFM_ID") ;    
--------------------------------------------------------
-- Index WATERFEATURE_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."WATERFEATURE_SIDX" ON "GIS"."WATERFEATURE" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=polygon');
--------------------------------------------------------
-- Index PK_WATERFEATURE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_WATERFEATURE" ON "GIS"."WATERFEATURE" ("XFM_ID") ;
--------------------------------------------------------
-- Index WATERNODE_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."WATERNODE_SIDX" ON "GIS"."WATERNODE" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=point');
--------------------------------------------------------
-- Index PK_WATERNODE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_WATERNODE" ON "GIS"."WATERNODE" ("XFM_ID") ; 
--------------------------------------------------------
-- Index WATERSEGMENT_SIDX
--------------------------------------------------------
  CREATE INDEX "GIS"."WATERSEGMENT_SIDX" ON "GIS"."WATERSEGMENT" ("OGC_GEOMETRY") 
   INDEXTYPE IS "MDSYS"."SPATIAL_INDEX"  PARAMETERS ('layer_gtype=curve');
--------------------------------------------------------
-- Index PK_WATERSEGMENT
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_WATERSEGMENT" ON "GIS"."WATERSEGMENT" ("XFM_ID") ;

--------------------------------------------------------
-- Index PK_DOMAIN_BRIDGETYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_BRIDGETYPE" ON "GIS"."DOMAIN_BRIDGETYPE" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_COMNDETYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_COMNDETYPE" ON "GIS"."DOMAIN_COMNDETYPE" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_COMNETTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_COMNETTYPE" ON "GIS"."DOMAIN_COMNETTYPE" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_COMSEGTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_COMSEGTYPE" ON "GIS"."DOMAIN_COMSEGTYPE" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_CONFLICTRESOL
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_CONFLICTRESOL" ON "GIS"."DOMAIN_CONFLICTRESOL" ("TYPE") ;  
--------------------------------------------------------
-- Index PK_DOMAIN_CONFLICTTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_CONFLICTTYPE" ON "GIS"."DOMAIN_CONFLICTTYPE" ("TYPE") ;      
--------------------------------------------------------
-- Index PK_DOMAIN_COORDINATESYSTEM
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_COORDINATESYSTEM" ON "GIS"."DOMAIN_COORDINATESYSTEM" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_ELEVATIONCONTOURTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_ELEVATIONCONTOURTYPE" ON "GIS"."DOMAIN_ELEVATIONCONTOURTYPE" ("TYPE") ; 
--------------------------------------------------------
-- Index PK_DOMAIN_ENDETYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_ENDETYPE" ON "GIS"."DOMAIN_ENDETYPE" ("TYPE") ;  
--------------------------------------------------------
-- Index PK_DOMAIN_ENETTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_ENETTYPE" ON "GIS"."DOMAIN_ENETTYPE" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_ESEGTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_ESEGTYPE" ON "GIS"."DOMAIN_ESEGTYPE" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_EXTERNALINTERESTTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_EXTERNALINTERESTTYPE" ON "GIS"."DOMAIN_EXTERNALINTERESTTYPE" ("TYPE") ;    
--------------------------------------------------------
-- Index PK_DOMAIN_FENCEUSETYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_FENCEUSETYPE" ON "GIS"."DOMAIN_FENCEUSETYPE" ("TYPE") ;  
--------------------------------------------------------
-- Index PK_DOMAIN_FITTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_FITTYPE" ON "GIS"."DOMAIN_FITTYPE" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_GASNDETYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_GASNDETYPE" ON "GIS"."DOMAIN_GASNDETYPE" ("TYPE") ;    
--------------------------------------------------------
-- Index PK_DOMAIN_GASNETTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_GASNETTYPE" ON "GIS"."DOMAIN_GASNETTYPE" ("TYPE") ;  
--------------------------------------------------------
-- Index PK_DOMAIN_GASSEGTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_GASSEGTYPE" ON "GIS"."DOMAIN_GASSEGTYPE" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_GSIP_LENGTHUOM
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_GSIP_LENGTHUOM" ON "GIS"."DOMAIN_GSIP_LENGTHUOM" ("TYPE") ;  
--------------------------------------------------------
-- Index PK_DOMAIN_HORIZONTALDATUMTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_HORIZONTALDATUMTYPE" ON "GIS"."DOMAIN_HORIZONTALDATUMTYPE" ("TYPE") ;  
--------------------------------------------------------
-- Index PK_DOMAIN_MONUMENTPOINTTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_MONUMENTPOINTTYPE" ON "GIS"."DOMAIN_MONUMENTPOINTTYPE" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_NDESHPTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_NDESHPTYPE" ON "GIS"."DOMAIN_NDESHPTYPE" ("TYPE") ;  
--------------------------------------------------------
-- Index PK_DOMAIN_NETWORKSUBTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_NETWORKSUBTYPE" ON "GIS"."DOMAIN_NETWORKSUBTYPE" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_NETWORKTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_NETWORKTYPE" ON "GIS"."DOMAIN_NETWORKTYPE" ("TYPE") ;  
--------------------------------------------------------
-- Index PK_DOMAIN_PAVEMENTSE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_PAVEMENTSE" ON "GIS"."DOMAIN_PAVEMENTSECTIONT" ("TYPE") ;  
--------------------------------------------------------
-- Index PK_DOMAIN_PIPEMATERIAL
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_PIPEMATERIAL" ON "GIS"."DOMAIN_PIPEMATERIAL" ("TYPE") ;    
--------------------------------------------------------
-- Index PK_DOMAIN_POLNETTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_POLNETTYPE" ON "GIS"."DOMAIN_POLNETTYPE" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_POLNDETYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_POLNDETYPE" ON "GIS"."DOMAIN_POLNDETYPE" ("TYPE") ;  
--------------------------------------------------------
-- Index PK_DOMAIN_POLSEGTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_POLSEGTYPE" ON "GIS"."DOMAIN_POLSEGTYPE" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_RAILCONSTRUCTIONTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_RAILCONSTRUCTIONTYPE" ON "GIS"."DOMAIN_RAILCONSTRUCTIONTYPE" ("TYPE") ;  
--------------------------------------------------------
-- Index PK_DOMAIN_RECREATIONAREATYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_RECREATIONAREATYPE" ON "GIS"."DOMAIN_RECREATIONAREATYPE" ("TYPE") ;      
--------------------------------------------------------
-- Index PK_DOMAIN_SEGSHPTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_SEGSHPTYPE" ON "GIS"."DOMAIN_SEGSHPTYPE" ("TYPE") ;      
--------------------------------------------------------
-- Index PK_DOMAIN_SEGTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_SEGTYPE" ON "GIS"."DOMAIN_SEGTYPE" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_SIGNTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_SIGNTYPE" ON "GIS"."DOMAIN_SIGNTYPE" ("TYPE") ;  
--------------------------------------------------------
-- Index PK_DOMAIN_STRUCTURALCONDITION
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_STRUCTURALCONDITION" ON "GIS"."DOMAIN_STRUCTURALCONDITION" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_STRUCTUREMATERIAL
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_STRUCTUREMATERIAL" ON "GIS"."DOMAIN_STRUCTUREMATERIAL" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_SURVEYMETHOD
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_SURVEYMETHOD" ON "GIS"."DOMAIN_SURVEYMETHOD" ("TYPE") ;  
--------------------------------------------------------
-- Index PK_DOMAIN_SURVEYSOURCETYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_SURVEYSOURCETYPE" ON "GIS"."DOMAIN_SURVEYSOURCETYPE" ("TYPE") ;      
--------------------------------------------------------
-- Index PK_DOMAIN_SURVEYTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_SURVEYTYPE" ON "GIS"."DOMAIN_SURVEYTYPE" ("TYPE") ;  
--------------------------------------------------------
-- Index PK_DOMAIN_THMNETTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_THMNETTYPE" ON "GIS"."DOMAIN_THMNETTYPE" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_THMNODTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_THMNODTYPE" ON "GIS"."DOMAIN_THMNODTYPE" ("TYPE") ; 
--------------------------------------------------------
-- Index PK_DOMAIN_THMSEGTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_THMSEGTYPE" ON "GIS"."DOMAIN_THMSEGTYPE" ("TYPE") ;   
--------------------------------------------------------
-- Index PK_DOMAIN_TOWERUSETYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_TOWERUSETYPE" ON "GIS"."DOMAIN_TOWERUSETYPE" ("TYPE") ;  
--------------------------------------------------------
-- Index PK_DOMAIN_TRANSTUNNELTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_TRANSTUNNELTYPE" ON "GIS"."DOMAIN_TRANSTUNNELTYPE" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_UTILITYDATAQUALITY
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_UTILITYDATAQUALITY" ON "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_UTILITYFEATURET
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_UTILITYFEATURET" ON "GIS"."DOMAIN_UTILITYFEATURET" ("TYPE") ;  
--------------------------------------------------------
-- Index PK_DOMAIN_UTILITYINVESTATIONLE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_UTILITYINVESTATIONLE" ON "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") ;       
--------------------------------------------------------
-- Index PK_DOMAIN_UTILITYRESOLUTIONS
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_UTILITYRESOLUTIONS" ON "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") ; 
--------------------------------------------------------
-- Index PK_DOMAIN_UTILITYRESOLUTIONSTA
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_UTILITYRESOLUTIONSTA" ON "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_UTLNDETYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_UTLNDETYPE" ON "GIS"."DOMAIN_UTLNDETYPE" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_UTILOPSTAT
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_UTILOPSTAT" ON "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_VERTICALDATUMTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_VERTICALDATUMTYPE" ON "GIS"."DOMAIN_VERTICALDATUMTYPE" ("TYPE") ; 
--------------------------------------------------------
-- Index PK_DOMAIN_VOLTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_VOLTYPE" ON "GIS"."DOMAIN_VOLTYPE" ("TYPE") ;   
--------------------------------------------------------
-- Index PK_DOMAIN_WALLTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_WALLTYPE" ON "GIS"."DOMAIN_WALLTYPE" ("TYPE") ;         
--------------------------------------------------------
-- Index PK_DOMAIN_WATERCOURSEELEMENTTY
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_WATERCOURSEELEMENTTY" ON "GIS"."DOMAIN_WATERCOURSEELEMENTTYPE" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_WTRNDETYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_WTRNDETYPE" ON "GIS"."DOMAIN_WTRNDETYPE" ("TYPE") ;    
--------------------------------------------------------
-- Index PK_DOMAIN_WTRNETTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_WTRNETTYPE" ON "GIS"."DOMAIN_WTRNETTYPE" ("TYPE") ;
--------------------------------------------------------
-- Index PK_DOMAIN_WTRSEGTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_WTRSEGTYPE" ON "GIS"."DOMAIN_WTRSEGTYPE" ("TYPE") ;      
--------------------------------------------------------
-- Index PK_DOMAIN_WWNDETYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_WWNDETYPE" ON "GIS"."DOMAIN_WWNDETYPE" ("TYPE") ;    
--------------------------------------------------------
-- Index PK_DOMAIN_WWNETTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_WWNETTYPE" ON "GIS"."DOMAIN_WWNETTYPE" ("TYPE") ; 
--------------------------------------------------------
-- Index PK_DOMAIN_WWSEGTYPE
--------------------------------------------------------
  CREATE UNIQUE INDEX "GIS"."PK_DOMAIN_WWSEGTYPE" ON "GIS"."DOMAIN_WWSEGTYPE" ("TYPE") ;

--------------------------------------------------------
--  Constraints
--------------------------------------------------------
--------------------------------------------------------
--  Constraints for Table SIGN
--------------------------------------------------------
  ALTER TABLE "GIS"."SIGN" ADD CONSTRAINT "PK_SIGN" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table CONSTRUCTIONLINE
--------------------------------------------------------
  ALTER TABLE "GIS"."CONSTRUCTIONLINE" ADD CONSTRAINT "PK_CONSTRUCTIONLINE" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_WWNETTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_WWNETTYPE" ADD CONSTRAINT "PK_DOMAIN_WWNETTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_WWNETTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_ELEVATIONCONTOURTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_ELEVATIONCONTOURTYPE" ADD CONSTRAINT "PK_DOMAIN_ELEVATIONCONTOURTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_ELEVATIONCONTOURTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table FENCE
--------------------------------------------------------
  ALTER TABLE "GIS"."FENCE" ADD CONSTRAINT "PK_FENCE" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table WATERCOURSELINE
--------------------------------------------------------
  ALTER TABLE "GIS"."WATERCOURSELINE" ADD CONSTRAINT "PK_WATERCOURSELINE" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table ROADPATH
--------------------------------------------------------
  ALTER TABLE "GIS"."ROADPATH" ADD CONSTRAINT "PK_ROADPATH" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table BRIDGE
--------------------------------------------------------
  ALTER TABLE "GIS"."BRIDGE" ADD CONSTRAINT "PK_BRIDGE" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table TOWER
--------------------------------------------------------
  ALTER TABLE "GIS"."TOWER" ADD CONSTRAINT "PK_TOWER" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table THERMALSEGMENT
--------------------------------------------------------
  ALTER TABLE "GIS"."THERMALSEGMENT" ADD CONSTRAINT "PK_THERMALSEGMENT" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_ENETTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_ENETTYPE" ADD CONSTRAINT "PK_DOMAIN_ENETTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_ENETTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_THMNETTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_THMNETTYPE" ADD CONSTRAINT "PK_DOMAIN_THMNETTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_THMNETTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table COMMUNICATIONSEGMENT
--------------------------------------------------------
  ALTER TABLE "GIS"."COMMUNICATIONSEGMENT" ADD CONSTRAINT "PK_COMMUNICATIONSEGMENT" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_COORDINATESYSTEM
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_COORDINATESYSTEM" ADD CONSTRAINT "PK_DOMAIN_COORDINATESYSTEM" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_COORDINATESYSTEM" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_SURVEYTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_SURVEYTYPE" ADD CONSTRAINT "PK_DOMAIN_SURVEYTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_SURVEYTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table STRUCTURE
--------------------------------------------------------
  ALTER TABLE "GIS"."STRUCTURE" ADD CONSTRAINT "PK_STRUCTURE" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table LANDPARCEL
--------------------------------------------------------
  ALTER TABLE "GIS"."LANDPARCEL" ADD CONSTRAINT "PK_LANDPARCEL" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_WWNDETYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_WWNDETYPE" ADD CONSTRAINT "PK_DOMAIN_WWNDETYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_WWNDETYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table BUILDING
--------------------------------------------------------
  ALTER TABLE "GIS"."BUILDING" ADD CONSTRAINT "PK_BUILDING" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table ELECTRICALNODE
--------------------------------------------------------
  ALTER TABLE "GIS"."ELECTRICALNODE" ADD CONSTRAINT "PK_ELECTRICALNODE" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_SEGTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_SEGTYPE" ADD CONSTRAINT "PK_DOMAIN_SEGTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_SEGTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table GUARDRAIL
--------------------------------------------------------
  ALTER TABLE "GIS"."GUARDRAIL" ADD CONSTRAINT "PK_GUARDRAIL" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_WATERCOURSEELEMENTTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_WATERCOURSEELEMENTTYPE" ADD CONSTRAINT "PK_DOMAIN_WATERCOURSEELEMENTTY" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_WATERCOURSEELEMENTTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_GASSEGTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_GASSEGTYPE" ADD CONSTRAINT "PK_DOMAIN_GASSEGTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_GASSEGTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table GASNODE
--------------------------------------------------------
  ALTER TABLE "GIS"."GASNODE" ADD CONSTRAINT "PK_GASNODE" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table GASSEGMENT
--------------------------------------------------------
  ALTER TABLE "GIS"."GASSEGMENT" ADD CONSTRAINT "PK_GASSEGMENT" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_TRANSTUNNELTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_TRANSTUNNELTYPE" ADD CONSTRAINT "PK_DOMAIN_TRANSTUNNELTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_TRANSTUNNELTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_STRUCTUREMATERIAL
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_STRUCTUREMATERIAL" ADD CONSTRAINT "PK_DOMAIN_STRUCTUREMATERIAL" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_STRUCTUREMATERIAL" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_GASNETTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_GASNETTYPE" ADD CONSTRAINT "PK_DOMAIN_GASNETTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_GASNETTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_MONUMENTPOINTTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_MONUMENTPOINTTYPE" ADD CONSTRAINT "PK_DOMAIN_MONUMENTPOINTTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_MONUMENTPOINTTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_FITTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_FITTYPE" ADD CONSTRAINT "PK_DOMAIN_FITTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_FITTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table SURVEYPOINT
--------------------------------------------------------
  ALTER TABLE "GIS"."SURVEYPOINT" ADD CONSTRAINT "PK_SURVEYPOINT" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_SEGSHPTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_SEGSHPTYPE" ADD CONSTRAINT "PK_DOMAIN_SEGSHPTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_SEGSHPTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UTILITYFEATURE
--------------------------------------------------------
  ALTER TABLE "GIS"."UTILITYFEATURE" ADD CONSTRAINT "PK_UTILITYFEATURE" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_WTRSEGTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_WTRSEGTYPE" ADD CONSTRAINT "PK_DOMAIN_WTRSEGTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_WTRSEGTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_COMNDETYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_COMNDETYPE" ADD CONSTRAINT "PK_DOMAIN_COMNDETYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_COMNDETYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_SURVEYSOURCETYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_SURVEYSOURCETYPE" ADD CONSTRAINT "PK_DOMAIN_SURVEYSOURCETYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_SURVEYSOURCETYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table WATERFEATURE
--------------------------------------------------------
  ALTER TABLE "GIS"."WATERFEATURE" ADD CONSTRAINT "PK_WATERFEATURE" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_WWSEGTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_WWSEGTYPE" ADD CONSTRAINT "PK_DOMAIN_WWSEGTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_WWSEGTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table SITE
--------------------------------------------------------
  ALTER TABLE "GIS"."SITE" ADD CONSTRAINT "PK_SITE" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_ESEGTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_ESEGTYPE" ADD CONSTRAINT "PK_DOMAIN_ESEGTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_ESEGTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table EXTERNALPROPERTYINTEREST
--------------------------------------------------------
  ALTER TABLE "GIS"."EXTERNALPROPERTYINTEREST" ADD CONSTRAINT "PK_EXTERNALPROPERTYINTEREST" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_HORIZONTALDATUMTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_HORIZONTALDATUMTYPE" ADD CONSTRAINT "PK_DOMAIN_HORIZONTALDATUMTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_HORIZONTALDATUMTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table CONFLICTNODE
--------------------------------------------------------
  ALTER TABLE "GIS"."CONFLICTNODE" ADD CONSTRAINT "PK_CONFLICTNODE" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_SIGNTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_SIGNTYPE" ADD CONSTRAINT "PK_DOMAIN_SIGNTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_SIGNTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_UTILITYDATAQUALITY
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_UTILITYDATAQUALITY" ADD CONSTRAINT "PK_DOMAIN_UTILITYDATAQUALITY" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_UTILITYDATAQUALITY" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table ELEVATIONCONTOUR
--------------------------------------------------------
  ALTER TABLE "GIS"."ELEVATIONCONTOUR" ADD CONSTRAINT "PK_ELEVATIONCONTOUR" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table SURVEYJOB
--------------------------------------------------------
  ALTER TABLE "GIS"."SURVEYJOB" ADD CONSTRAINT "PK_SURVEYJOB" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table RESTRICTEDAREA
--------------------------------------------------------
  ALTER TABLE "GIS"."RESTRICTEDAREA" ADD CONSTRAINT "PK_RESTRICTEDAREA" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table RECREATIONAREA
--------------------------------------------------------
  ALTER TABLE "GIS"."RECREATIONAREA" ADD CONSTRAINT "PK_RECREATIONAREA" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_GSIP_LENGTHUOM
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_GSIP_LENGTHUOM" ADD CONSTRAINT "PK_DOMAIN_GSIP_LENGTHUOM" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_GSIP_LENGTHUOM" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table INSTALLATION
--------------------------------------------------------
  ALTER TABLE "GIS"."INSTALLATION" ADD CONSTRAINT "PK_INSTALLATION" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_CONFLICTRESOL
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_CONFLICTRESOL" ADD CONSTRAINT "PK_DOMAIN_CONFLICTRESOL" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_CONFLICTRESOL" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_THMNODTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_THMNODTYPE" ADD CONSTRAINT "PK_DOMAIN_THMNODTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_THMNODTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table CONTROLMONUMENTPOINT
--------------------------------------------------------
  ALTER TABLE "GIS"."CONTROLMONUMENTPOINT" ADD CONSTRAINT "PK_CONTROLMONUMENTPOINT" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table WASTEWATERNODE
--------------------------------------------------------
  ALTER TABLE "GIS"."WASTEWATERNODE" ADD CONSTRAINT "PK_WASTEWATERNODE" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table TRANSPORTATIONTUNNEL
--------------------------------------------------------
  ALTER TABLE "GIS"."TRANSPORTATIONTUNNEL" ADD CONSTRAINT "PK_TRANSPORTATIONTUNNEL" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_WALLTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_WALLTYPE" ADD CONSTRAINT "PK_DOMAIN_WALLTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_WALLTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_VERTICALDATUMTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_VERTICALDATUMTYPE" ADD CONSTRAINT "PK_DOMAIN_VERTICALDATUMTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_VERTICALDATUMTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_UTILOPSTAT
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_UTILOPSTAT" ADD CONSTRAINT "PK_DOMAIN_UTILOPSTAT" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_UTILOPSTAT" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table POLSEGMENT
--------------------------------------------------------
  ALTER TABLE "GIS"."POLSEGMENT" ADD CONSTRAINT "PK_POLSEGMENT" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_UTILITYINVESTATIONLEVEL
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ADD CONSTRAINT "PK_DOMAIN_UTILITYINVESTATIONLE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table THERMALNODE
--------------------------------------------------------
  ALTER TABLE "GIS"."THERMALNODE" ADD CONSTRAINT "PK_THERMALNODE" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_RAILCONSTRUCTIONTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_RAILCONSTRUCTIONTYPE" ADD CONSTRAINT "PK_DOMAIN_RAILCONSTRUCTIONTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_RAILCONSTRUCTIONTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_WTRNETTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_WTRNETTYPE" ADD CONSTRAINT "PK_DOMAIN_WTRNETTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_WTRNETTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table ELECCONDUITBANKSEGMENT
--------------------------------------------------------
  ALTER TABLE "GIS"."ELECCONDUITBANKSEGMENT" ADD CONSTRAINT "PK_ELECCONDUITBANKSEGMENT" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_SURVEYMETHOD
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_SURVEYMETHOD" ADD CONSTRAINT "PK_DOMAIN_SURVEYMETHOD" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_SURVEYMETHOD" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_PIPEMATERIAL
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_PIPEMATERIAL" ADD CONSTRAINT "PK_DOMAIN_PIPEMATERIAL" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_PIPEMATERIAL" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_THMSEGTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_THMSEGTYPE" ADD CONSTRAINT "PK_DOMAIN_THMSEGTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_THMSEGTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table WATERNODE
--------------------------------------------------------
  ALTER TABLE "GIS"."WATERNODE" ADD CONSTRAINT "PK_WATERNODE" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_UTILITYFEATURET
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_UTILITYFEATURET" ADD CONSTRAINT "PK_DOMAIN_UTILITYFEATURET" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_UTILITYFEATURET" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table PROJECTREFERENCE
--------------------------------------------------------
  ALTER TABLE "GIS"."PROJECTREFERENCE" ADD CONSTRAINT "PK_PROJECTREFERENCE" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOTPERMIT
--------------------------------------------------------
  ALTER TABLE "GIS"."DOTPERMIT" ADD CONSTRAINT "PK_DOTPERMIT" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_VOLTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_VOLTYPE" ADD CONSTRAINT "PK_DOMAIN_VOLTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_VOLTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_WTRNDETYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_WTRNDETYPE" ADD CONSTRAINT "PK_DOMAIN_WTRNDETYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_WTRNDETYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_EXTERNALINTERESTTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_EXTERNALINTERESTTYPE" ADD CONSTRAINT "PK_DOMAIN_EXTERNALINTERESTTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_EXTERNALINTERESTTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_NDESHPTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_NDESHPTYPE" ADD CONSTRAINT "PK_DOMAIN_NDESHPTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_NDESHPTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table WASTEWATERSEGMENT
--------------------------------------------------------
  ALTER TABLE "GIS"."WASTEWATERSEGMENT" ADD CONSTRAINT "PK_WASTEWATERSEGMENT" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_NETWORKTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_NETWORKTYPE" ADD CONSTRAINT "PK_DOMAIN_NETWORKTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_NETWORKTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_PAVEMENTSECTIONT
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_PAVEMENTSECTIONT" ADD CONSTRAINT "PK_DOMAIN_PAVEMENTSE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_PAVEMENTSECTIONT" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_TOWERUSETYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_TOWERUSETYPE" ADD CONSTRAINT "PK_DOMAIN_TOWERUSETYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_TOWERUSETYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table PAVEMENTSECTION
--------------------------------------------------------
  ALTER TABLE "GIS"."PAVEMENTSECTION" ADD CONSTRAINT "PK_PAVEMENTSECTION" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_STRUCTURALCONDITION
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_STRUCTURALCONDITION" ADD CONSTRAINT "PK_DOMAIN_STRUCTURALCONDITION" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_STRUCTURALCONDITION" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_UTLNDETYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_UTLNDETYPE" ADD CONSTRAINT "PK_DOMAIN_UTLNDETYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_UTLNDETYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_ENDETYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_ENDETYPE" ADD CONSTRAINT "PK_DOMAIN_ENDETYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_ENDETYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_CONFLICTTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_CONFLICTTYPE" ADD CONSTRAINT "PK_DOMAIN_CONFLICTTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_CONFLICTTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_UTILITYRESOLUTIONSTATUS
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ADD CONSTRAINT "PK_DOMAIN_UTILITYRESOLUTIONSTA" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table WALL
--------------------------------------------------------
  ALTER TABLE "GIS"."WALL" ADD CONSTRAINT "PK_WALL" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table WATERSEGMENT
--------------------------------------------------------
  ALTER TABLE "GIS"."WATERSEGMENT" ADD CONSTRAINT "PK_WATERSEGMENT" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_COMSEGTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_COMSEGTYPE" ADD CONSTRAINT "PK_DOMAIN_COMSEGTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_COMSEGTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_POLSEGTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_POLSEGTYPE" ADD CONSTRAINT "PK_DOMAIN_POLSEGTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_POLSEGTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_POLNETTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_POLNETTYPE" ADD CONSTRAINT "PK_DOMAIN_POLNETTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_POLNETTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table GRID
--------------------------------------------------------
  ALTER TABLE "GIS"."GRID" ADD CONSTRAINT "PK_GRID" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_FENCEUSETYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_FENCEUSETYPE" ADD CONSTRAINT "PK_DOMAIN_FENCEUSETYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_FENCEUSETYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_UTILITYRESOLUTIONS
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_UTILITYRESOLUTIONS" ADD CONSTRAINT "PK_DOMAIN_UTILITYRESOLUTIONS" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_UTILITYRESOLUTIONS" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_RECREATIONAREATYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_RECREATIONAREATYPE" ADD CONSTRAINT "PK_DOMAIN_RECREATIONAREATYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_RECREATIONAREATYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table ELECTRICALSEGMENT
--------------------------------------------------------
  ALTER TABLE "GIS"."ELECTRICALSEGMENT" ADD CONSTRAINT "PK_ELECTRICALSEGMENT" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table RECREATIONFEATURE
--------------------------------------------------------
  ALTER TABLE "GIS"."RECREATIONFEATURE" ADD CONSTRAINT "PK_RECREATIONFEATURE" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_COMNETTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_COMNETTYPE" ADD CONSTRAINT "PK_DOMAIN_COMNETTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_COMNETTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table COMMUNICATIONNODE
--------------------------------------------------------
  ALTER TABLE "GIS"."COMMUNICATIONNODE" ADD CONSTRAINT "PK_COMMUNICATIONNODE" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table POLNODE
--------------------------------------------------------
  ALTER TABLE "GIS"."POLNODE" ADD CONSTRAINT "PK_POLNODE" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_NETWORKSUBTYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_NETWORKSUBTYPE" ADD CONSTRAINT "PK_DOMAIN_NETWORKSUBTYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_NETWORKSUBTYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_POLNDETYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_POLNDETYPE" ADD CONSTRAINT "PK_DOMAIN_POLNDETYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_POLNDETYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DOMAIN_BRIDGETYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_BRIDGETYPE" ADD CONSTRAINT "PK_DOMAIN_BRIDGETYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_BRIDGETYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table RAILTRACK
--------------------------------------------------------
  ALTER TABLE "GIS"."RAILTRACK" ADD CONSTRAINT "PK_RAILTRACK" PRIMARY KEY ("XFM_ID") ENABLE;
--------------------------------------------------------
--  Constraints for Table DOMAIN_GASNDETYPE
--------------------------------------------------------
  ALTER TABLE "GIS"."DOMAIN_GASNDETYPE" ADD CONSTRAINT "PK_DOMAIN_GASNDETYPE" PRIMARY KEY ("TYPE") ENABLE;
  ALTER TABLE "GIS"."DOMAIN_GASNDETYPE" MODIFY ("TYPE" NOT NULL ENABLE);
--------------------------------------------------------
--  Ref Constraints for Table SIGN
--------------------------------------------------------
  ALTER TABLE "GIS"."SIGN" ADD CONSTRAINT "FK_0_DOMAIN_SIGNTYPE" FOREIGN KEY ("SIGNTYPE")
	  REFERENCES "GIS"."DOMAIN_SIGNTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."SIGN" ADD CONSTRAINT "FK_21_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."SIGN" ADD CONSTRAINT "FK_28_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."SIGN" ADD CONSTRAINT "FK_28_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."SIGN" ADD CONSTRAINT "FK_29_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."SIGN" ADD CONSTRAINT "FK_9_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table CONSTRUCTIONLINE
--------------------------------------------------------
  ALTER TABLE "GIS"."CONSTRUCTIONLINE" ADD CONSTRAINT "FK_26_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."CONSTRUCTIONLINE" ADD CONSTRAINT "FK_34_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."CONSTRUCTIONLINE" ADD CONSTRAINT "FK_4_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."CONSTRUCTIONLINE" ADD CONSTRAINT "FK_4_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."CONSTRUCTIONLINE" ADD CONSTRAINT "FK_4_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table FENCE
--------------------------------------------------------
  ALTER TABLE "GIS"."FENCE" ADD CONSTRAINT "FK_12_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."FENCE" ADD CONSTRAINT "FK_12_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table WATERCOURSELINE
--------------------------------------------------------
  ALTER TABLE "GIS"."WATERCOURSELINE" ADD CONSTRAINT "FK_0_DOMAIN_WATERCOURSEELEME" FOREIGN KEY ("WATERCOURSEELEMENT")
	  REFERENCES "GIS"."DOMAIN_WATERCOURSEELEMENTTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERCOURSELINE" ADD CONSTRAINT "FK_10_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERCOURSELINE" ADD CONSTRAINT "FK_19_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERCOURSELINE" ADD CONSTRAINT "FK_37_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERCOURSELINE" ADD CONSTRAINT "FK_41_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERCOURSELINE" ADD CONSTRAINT "FK_41_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table ROADPATH
--------------------------------------------------------
  ALTER TABLE "GIS"."ROADPATH" ADD CONSTRAINT "FK_15_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ROADPATH" ADD CONSTRAINT "FK_27_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ROADPATH" ADD CONSTRAINT "FK_27_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ROADPATH" ADD CONSTRAINT "FK_28_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ROADPATH" ADD CONSTRAINT "FK_5_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table BRIDGE
--------------------------------------------------------
  ALTER TABLE "GIS"."BRIDGE" ADD CONSTRAINT "FK_0_DOMAIN_BRIDGETYPE" FOREIGN KEY ("BRIDGETYPE")
	  REFERENCES "GIS"."DOMAIN_BRIDGETYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."BRIDGE" ADD CONSTRAINT "FK_0_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."BRIDGE" ADD CONSTRAINT "FK_0_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."BRIDGE" ADD CONSTRAINT "FK_0_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."BRIDGE" ADD CONSTRAINT "FK_1_DOMAIN_GSIP_LENGTHUOM" FOREIGN KEY ("REFERENCEELEVUOM")
	  REFERENCES "GIS"."DOMAIN_GSIP_LENGTHUOM" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."BRIDGE" ADD CONSTRAINT "FK_1_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."BRIDGE" ADD CONSTRAINT "FK_1_DOMAIN_VERTICALDATUMTYP" FOREIGN KEY ("REFERENCEELEVVERTDATUM")
	  REFERENCES "GIS"."DOMAIN_VERTICALDATUMTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."BRIDGE" ADD CONSTRAINT "FK_2_DOMAIN_GSIP_LENGTHUOM" FOREIGN KEY ("HORIZONTALCLEARANCEUOM")
	  REFERENCES "GIS"."DOMAIN_GSIP_LENGTHUOM" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."BRIDGE" ADD CONSTRAINT "FK_38_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."BRIDGE" ADD CONSTRAINT "FK_3_DOMAIN_GSIP_LENGTHUOM" FOREIGN KEY ("VERTCLEARANCEOPENUOM")
	  REFERENCES "GIS"."DOMAIN_GSIP_LENGTHUOM" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."BRIDGE" ADD CONSTRAINT "FK_4_DOMAIN_GSIP_LENGTHUOM" FOREIGN KEY ("LOWCHORDELEVATIONUOM")
	  REFERENCES "GIS"."DOMAIN_GSIP_LENGTHUOM" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."BRIDGE" ADD CONSTRAINT "FK_7_DOMAIN_GSIP_LENGTHUOM" FOREIGN KEY ("VERTCLEARANCECLOSEDUOM")
	  REFERENCES "GIS"."DOMAIN_GSIP_LENGTHUOM" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table TOWER
--------------------------------------------------------
  ALTER TABLE "GIS"."TOWER" ADD CONSTRAINT "FK_0_DOMAIN_STRUCTURALCONDIT" FOREIGN KEY ("TOWERCONDITION")
	  REFERENCES "GIS"."DOMAIN_STRUCTURALCONDITION" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."TOWER" ADD CONSTRAINT "FK_0_DOMAIN_TOWERUSETYPE" FOREIGN KEY ("TOWERUSETYPE")
	  REFERENCES "GIS"."DOMAIN_TOWERUSETYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."TOWER" ADD CONSTRAINT "FK_0_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."TOWER" ADD CONSTRAINT "FK_12_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."TOWER" ADD CONSTRAINT "FK_1_DOMAIN_STRUCTUREMATERIA" FOREIGN KEY ("TOWERMATERIAL")
	  REFERENCES "GIS"."DOMAIN_STRUCTUREMATERIAL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."TOWER" ADD CONSTRAINT "FK_22_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."TOWER" ADD CONSTRAINT "FK_35_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."TOWER" ADD CONSTRAINT "FK_35_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."TOWER" ADD CONSTRAINT "FK_8_DOMAIN_GSIP_LENGTHUOM" FOREIGN KEY ("HEIGHTUOM")
	  REFERENCES "GIS"."DOMAIN_GSIP_LENGTHUOM" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table THERMALSEGMENT
--------------------------------------------------------
  ALTER TABLE "GIS"."THERMALSEGMENT" ADD CONSTRAINT "FK_0_DOMAIN_THMNETTYPE" FOREIGN KEY ("THERMNETWORKTYPE")
	  REFERENCES "GIS"."DOMAIN_THMNETTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."THERMALSEGMENT" ADD CONSTRAINT "FK_0_DOMAIN_THMSEGTYPE" FOREIGN KEY ("THERMSEGMENTTYPE")
	  REFERENCES "GIS"."DOMAIN_THMSEGTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."THERMALSEGMENT" ADD CONSTRAINT "FK_27_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."THERMALSEGMENT" ADD CONSTRAINT "FK_2_DOMAIN_SEGTYPE" FOREIGN KEY ("SEGMENTYPE")
	  REFERENCES "GIS"."DOMAIN_SEGTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."THERMALSEGMENT" ADD CONSTRAINT "FK_34_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."THERMALSEGMENT" ADD CONSTRAINT "FK_34_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."THERMALSEGMENT" ADD CONSTRAINT "FK_37_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."THERMALSEGMENT" ADD CONSTRAINT "FK_39_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."THERMALSEGMENT" ADD CONSTRAINT "FK_3_DOMAIN_PIPEMATERIAL" FOREIGN KEY ("MATERIAL")
	  REFERENCES "GIS"."DOMAIN_PIPEMATERIAL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."THERMALSEGMENT" ADD CONSTRAINT "FK_5_DOMAIN_SEGSHPTYPE" FOREIGN KEY ("SEGMENTSHAPETYPE")
	  REFERENCES "GIS"."DOMAIN_SEGSHPTYPE" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table COMMUNICATIONSEGMENT
--------------------------------------------------------
  ALTER TABLE "GIS"."COMMUNICATIONSEGMENT" ADD CONSTRAINT "FK_0_DOMAIN_COMSEGTYPE" FOREIGN KEY ("COMMSEGMENTTYPE")
	  REFERENCES "GIS"."DOMAIN_COMSEGTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."COMMUNICATIONSEGMENT" ADD CONSTRAINT "FK_11_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."COMMUNICATIONSEGMENT" ADD CONSTRAINT "FK_1_DOMAIN_COMNETTYPE" FOREIGN KEY ("COMMNETWORKTYPE")
	  REFERENCES "GIS"."DOMAIN_COMNETTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."COMMUNICATIONSEGMENT" ADD CONSTRAINT "FK_1_DOMAIN_SEGSHPTYPE" FOREIGN KEY ("SEGMENTSHAPETYPE")
	  REFERENCES "GIS"."DOMAIN_SEGSHPTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."COMMUNICATIONSEGMENT" ADD CONSTRAINT "FK_1_DOMAIN_SEGTYPE" FOREIGN KEY ("SEGMENTTYPE")
	  REFERENCES "GIS"."DOMAIN_SEGTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."COMMUNICATIONSEGMENT" ADD CONSTRAINT "FK_22_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."COMMUNICATIONSEGMENT" ADD CONSTRAINT "FK_38_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."COMMUNICATIONSEGMENT" ADD CONSTRAINT "FK_3_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."COMMUNICATIONSEGMENT" ADD CONSTRAINT "FK_3_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."COMMUNICATIONSEGMENT" ADD CONSTRAINT "FK_6_DOMAIN_PIPEMATERIAL" FOREIGN KEY ("MATERIAL")
	  REFERENCES "GIS"."DOMAIN_PIPEMATERIAL" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table STRUCTURE
--------------------------------------------------------
  ALTER TABLE "GIS"."STRUCTURE" ADD CONSTRAINT "FK_30_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."STRUCTURE" ADD CONSTRAINT "FK_30_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."STRUCTURE" ADD CONSTRAINT "FK_42_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."STRUCTURE" ADD CONSTRAINT "FK_42_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."STRUCTURE" ADD CONSTRAINT "FK_42_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table LANDPARCEL
--------------------------------------------------------
  ALTER TABLE "GIS"."LANDPARCEL" ADD CONSTRAINT "FK_12_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."LANDPARCEL" ADD CONSTRAINT "FK_18_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."LANDPARCEL" ADD CONSTRAINT "FK_18_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."LANDPARCEL" ADD CONSTRAINT "FK_31_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."LANDPARCEL" ADD CONSTRAINT "FK_38_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table BUILDING
--------------------------------------------------------
  ALTER TABLE "GIS"."BUILDING" ADD CONSTRAINT "FK_1_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."BUILDING" ADD CONSTRAINT "FK_1_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."BUILDING" ADD CONSTRAINT "FK_40_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."BUILDING" ADD CONSTRAINT "FK_40_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."BUILDING" ADD CONSTRAINT "FK_40_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OEPRATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table ELECTRICALNODE
--------------------------------------------------------
  ALTER TABLE "GIS"."ELECTRICALNODE" ADD CONSTRAINT "FK_0_DOMAIN_ENDETYPE" FOREIGN KEY ("ELECNODETYPE")
	  REFERENCES "GIS"."DOMAIN_ENDETYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECTRICALNODE" ADD CONSTRAINT "FK_0_DOMAIN_VOLTYPE" FOREIGN KEY ("VOLUMETYPE")
	  REFERENCES "GIS"."DOMAIN_VOLTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECTRICALNODE" ADD CONSTRAINT "FK_11_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECTRICALNODE" ADD CONSTRAINT "FK_23_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECTRICALNODE" ADD CONSTRAINT "FK_27_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECTRICALNODE" ADD CONSTRAINT "FK_2_DOMAIN_ENETTYPE" FOREIGN KEY ("ELECNETWORKTYPE")
	  REFERENCES "GIS"."DOMAIN_ENETTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECTRICALNODE" ADD CONSTRAINT "FK_2_DOMAIN_NDESHPTYPE" FOREIGN KEY ("NODESHAPETYPE")
	  REFERENCES "GIS"."DOMAIN_NDESHPTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECTRICALNODE" ADD CONSTRAINT "FK_3_DOMAIN_FITTYPE" FOREIGN KEY ("FITTINGTYPE")
	  REFERENCES "GIS"."DOMAIN_FITTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECTRICALNODE" ADD CONSTRAINT "FK_4_DOMAIN_UTLNDETYPE" FOREIGN KEY ("UTILITYNODETYPE")
	  REFERENCES "GIS"."DOMAIN_UTLNDETYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECTRICALNODE" ADD CONSTRAINT "FK_8_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECTRICALNODE" ADD CONSTRAINT "FK_8_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table GUARDRAIL
--------------------------------------------------------
  ALTER TABLE "GIS"."GUARDRAIL" ADD CONSTRAINT "FK_0_DOMAIN_STRUCTUREMATERIA" FOREIGN KEY ("GUARDMATERIAL")
	  REFERENCES "GIS"."DOMAIN_STRUCTUREMATERIAL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GUARDRAIL" ADD CONSTRAINT "FK_16_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GUARDRAIL" ADD CONSTRAINT "FK_16_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GUARDRAIL" ADD CONSTRAINT "FK_18_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GUARDRAIL" ADD CONSTRAINT "FK_1_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GUARDRAIL" ADD CONSTRAINT "FK_3_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GUARDRAIL" ADD CONSTRAINT "FK_6_DOMAIN_GSIP_LENGTHUOM" FOREIGN KEY ("HEIGHTUOM")
	  REFERENCES "GIS"."DOMAIN_GSIP_LENGTHUOM" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table GASNODE
--------------------------------------------------------
  ALTER TABLE "GIS"."GASNODE" ADD CONSTRAINT "FK_0_DOMAIN_FITTYPE" FOREIGN KEY ("FITTINGTYPE")
	  REFERENCES "GIS"."DOMAIN_FITTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GASNODE" ADD CONSTRAINT "FK_0_DOMAIN_GASNDETYPE" FOREIGN KEY ("GASNODETYPE")
	  REFERENCES "GIS"."DOMAIN_GASNDETYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GASNODE" ADD CONSTRAINT "FK_13_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GASNODE" ADD CONSTRAINT "FK_13_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GASNODE" ADD CONSTRAINT "FK_1_DOMAIN_GASNETTYPE" FOREIGN KEY ("GASNETWORKTYPE")
	  REFERENCES "GIS"."DOMAIN_GASNETTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GASNODE" ADD CONSTRAINT "FK_29_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GASNODE" ADD CONSTRAINT "FK_2_DOMAIN_UTLNDETYPE" FOREIGN KEY ("UTILITYNODETYPE")
	  REFERENCES "GIS"."DOMAIN_UTLNDETYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GASNODE" ADD CONSTRAINT "FK_33_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GASNODE" ADD CONSTRAINT "FK_3_DOMAIN_NDESHPTYPE" FOREIGN KEY ("NODESHAPETYPE")
	  REFERENCES "GIS"."DOMAIN_NDESHPTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GASNODE" ADD CONSTRAINT "FK_3_DOMAIN_VOLTYPE" FOREIGN KEY ("VOLUMETYPE")
	  REFERENCES "GIS"."DOMAIN_VOLTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GASNODE" ADD CONSTRAINT "FK_8_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table GASSEGMENT
--------------------------------------------------------
  ALTER TABLE "GIS"."GASSEGMENT" ADD CONSTRAINT "FK_0_DOMAIN_GASNETTYPE" FOREIGN KEY ("GASNETWORKTYPE")
	  REFERENCES "GIS"."DOMAIN_GASNETTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GASSEGMENT" ADD CONSTRAINT "FK_0_DOMAIN_GASSEGTYPE" FOREIGN KEY ("GASSEGMENTTYPE")
	  REFERENCES "GIS"."DOMAIN_GASSEGTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GASSEGMENT" ADD CONSTRAINT "FK_0_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GASSEGMENT" ADD CONSTRAINT "FK_14_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GASSEGMENT" ADD CONSTRAINT "FK_14_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GASSEGMENT" ADD CONSTRAINT "FK_20_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GASSEGMENT" ADD CONSTRAINT "FK_28_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GASSEGMENT" ADD CONSTRAINT "FK_3_DOMAIN_SEGTYPE" FOREIGN KEY ("SEGMENTTYPE")
	  REFERENCES "GIS"."DOMAIN_SEGTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GASSEGMENT" ADD CONSTRAINT "FK_4_DOMAIN_PIPEMATERIAL" FOREIGN KEY ("MATERIAL")
	  REFERENCES "GIS"."DOMAIN_PIPEMATERIAL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GASSEGMENT" ADD CONSTRAINT "FK_4_DOMAIN_SEGSHPTYPE" FOREIGN KEY ("SEGMENTSHAPETYPE")
	  REFERENCES "GIS"."DOMAIN_SEGSHPTYPE" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table SURVEYPOINT
--------------------------------------------------------
  ALTER TABLE "GIS"."SURVEYPOINT" ADD CONSTRAINT "FK_0_DOMAIN_SURVEYSOURCETYPE" FOREIGN KEY ("SOURCETYPE")
	  REFERENCES "GIS"."DOMAIN_SURVEYSOURCETYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."SURVEYPOINT" ADD CONSTRAINT "FK_13_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."SURVEYPOINT" ADD CONSTRAINT "FK_32_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."SURVEYPOINT" ADD CONSTRAINT "FK_32_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."SURVEYPOINT" ADD CONSTRAINT "FK_32_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."SURVEYPOINT" ADD CONSTRAINT "FK_3_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table UTILITYFEATURE
--------------------------------------------------------
  ALTER TABLE "GIS"."UTILITYFEATURE" ADD CONSTRAINT "FK_37_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."UTILITYFEATURE" ADD CONSTRAINT "FK_37_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."UTILITYFEATURE" ADD CONSTRAINT "FK_43_DOMAIN_NETWORKSUBTYPE" FOREIGN KEY ("NETWORKSUBTYPE")
	  REFERENCES "GIS"."DOMAIN_NETWORKSUBTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."UTILITYFEATURE" ADD CONSTRAINT "FK_43_DOMAIN_NETWORKTYPE" FOREIGN KEY ("NETWORKTYPE")
	  REFERENCES "GIS"."DOMAIN_NETWORKTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."UTILITYFEATURE" ADD CONSTRAINT "FK_43_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."UTILITYFEATURE" ADD CONSTRAINT "FK_43_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."UTILITYFEATURE" ADD CONSTRAINT "FK_43_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."UTILITYFEATURE" ADD CONSTRAINT "FK_43_UTILITYFEATURET" FOREIGN KEY ("UTILITYFEATURETYPE")
	  REFERENCES "GIS"."DOMAIN_UTILITYFEATURET" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table WATERFEATURE
--------------------------------------------------------
  ALTER TABLE "GIS"."WATERFEATURE" ADD CONSTRAINT "FK_0_DOMAIN_WTRNDETYPE" FOREIGN KEY ("WATERNODETYPE")
	  REFERENCES "GIS"."DOMAIN_WTRNDETYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERFEATURE" ADD CONSTRAINT "FK_0_DOMAIN_WTRNETTYPE" FOREIGN KEY ("WATERNETWORKTYPE")
	  REFERENCES "GIS"."DOMAIN_WTRNETTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERFEATURE" ADD CONSTRAINT "FK_20_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERFEATURE" ADD CONSTRAINT "FK_24_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERFEATURE" ADD CONSTRAINT "FK_25_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERFEATURE" ADD CONSTRAINT "FK_42_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERFEATURE" ADD CONSTRAINT "FK_42_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table SITE
--------------------------------------------------------
  ALTER TABLE "GIS"."SITE" ADD CONSTRAINT "FK_14_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."SITE" ADD CONSTRAINT "FK_21_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."SITE" ADD CONSTRAINT "FK_29_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."SITE" ADD CONSTRAINT "FK_29_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."SITE" ADD CONSTRAINT "FK_31_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table EXTERNALPROPERTYINTEREST
--------------------------------------------------------
  ALTER TABLE "GIS"."EXTERNALPROPERTYINTEREST" ADD CONSTRAINT "FK_0_DOMAIN_EXTERNALINTEREST" FOREIGN KEY ("INTERESTTYPE")
	  REFERENCES "GIS"."DOMAIN_EXTERNALINTERESTTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."EXTERNALPROPERTYINTEREST" ADD CONSTRAINT "FK_11_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."EXTERNALPROPERTYINTEREST" ADD CONSTRAINT "FK_11_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."EXTERNALPROPERTYINTEREST" ADD CONSTRAINT "FK_30_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."EXTERNALPROPERTYINTEREST" ADD CONSTRAINT "FK_30_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."EXTERNALPROPERTYINTEREST" ADD CONSTRAINT "FK_33_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table CONFLICTNODE
--------------------------------------------------------
  ALTER TABLE "GIS"."CONFLICTNODE" ADD CONSTRAINT "FK_0_DOMAIN_CONFLICTRESOL" FOREIGN KEY ("RECOMMENDATION")
	  REFERENCES "GIS"."DOMAIN_CONFLICTRESOL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."CONFLICTNODE" ADD CONSTRAINT "FK_0_DOMAIN_CONFLICTTYPE" FOREIGN KEY ("CONFLICTTYPE")
	  REFERENCES "GIS"."DOMAIN_CONFLICTTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."CONFLICTNODE" ADD CONSTRAINT "FK_1_DOMAIN_CONFLICTRESOL" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_CONFLICTRESOL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."CONFLICTNODE" ADD CONSTRAINT "FK_45_DOMAIN_UTILOPSTAT" FOREIGN KEY ("CURRENTSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table ELEVATIONCONTOUR
--------------------------------------------------------
  ALTER TABLE "GIS"."ELEVATIONCONTOUR" ADD CONSTRAINT "FK_0_DOMAIN_ELEVATIONCONTOUR" FOREIGN KEY ("ELEVCONTOURTYPE")
	  REFERENCES "GIS"."DOMAIN_ELEVATIONCONTOURTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELEVATIONCONTOUR" ADD CONSTRAINT "FK_10_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELEVATIONCONTOUR" ADD CONSTRAINT "FK_10_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELEVATIONCONTOUR" ADD CONSTRAINT "FK_3_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELEVATIONCONTOUR" ADD CONSTRAINT "FK_5_DOMAIN_GSIP_LENGTHUOM" FOREIGN KEY ("ELEVATIONUOM")
	  REFERENCES "GIS"."DOMAIN_GSIP_LENGTHUOM" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELEVATIONCONTOUR" ADD CONSTRAINT "FK_5_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELEVATIONCONTOUR" ADD CONSTRAINT "FK_9_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table SURVEYJOB
--------------------------------------------------------
  ALTER TABLE "GIS"."SURVEYJOB" ADD CONSTRAINT "FK_31_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."SURVEYJOB" ADD CONSTRAINT "FK_31_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."SURVEYJOB" ADD CONSTRAINT "FK_44_DOMAIN_SURVEYMETHOD" FOREIGN KEY ("SURVEYMETHOD")
	  REFERENCES "GIS"."DOMAIN_SURVEYMETHOD" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."SURVEYJOB" ADD CONSTRAINT "FK_44_DOMAIN_SURVEYTYPE" FOREIGN KEY ("SURVEYTYPE")
	  REFERENCES "GIS"."DOMAIN_SURVEYTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."SURVEYJOB" ADD CONSTRAINT "FK_44_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."SURVEYJOB" ADD CONSTRAINT "FK_44_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."SURVEYJOB" ADD CONSTRAINT "FK_44_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table RESTRICTEDAREA
--------------------------------------------------------
  ALTER TABLE "GIS"."RESTRICTEDAREA" ADD CONSTRAINT "FK_26_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."RESTRICTEDAREA" ADD CONSTRAINT "FK_26_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."RESTRICTEDAREA" ADD CONSTRAINT "FK_33_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."RESTRICTEDAREA" ADD CONSTRAINT "FK_35_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."RESTRICTEDAREA" ADD CONSTRAINT "FK_39_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table RECREATIONAREA
--------------------------------------------------------
  ALTER TABLE "GIS"."RECREATIONAREA" ADD CONSTRAINT "FK_0_DOMAIN_RECREATIONAREATY" FOREIGN KEY ("AREATYPE")
	  REFERENCES "GIS"."DOMAIN_RECREATIONAREATYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."RECREATIONAREA" ADD CONSTRAINT "FK_20_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."RECREATIONAREA" ADD CONSTRAINT "FK_24_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."RECREATIONAREA" ADD CONSTRAINT "FK_24_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."RECREATIONAREA" ADD CONSTRAINT "FK_6_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."RECREATIONAREA" ADD CONSTRAINT "FK_7_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table INSTALLATION
--------------------------------------------------------
  ALTER TABLE "GIS"."INSTALLATION" ADD CONSTRAINT "FK_16_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."INSTALLATION" ADD CONSTRAINT "FK_17_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."INSTALLATION" ADD CONSTRAINT "FK_17_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."INSTALLATION" ADD CONSTRAINT "FK_25_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."INSTALLATION" ADD CONSTRAINT "FK_35_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table CONTROLMONUMENTPOINT
--------------------------------------------------------
  ALTER TABLE "GIS"."CONTROLMONUMENTPOINT" ADD CONSTRAINT "FK_0_DOMAIN_COORDINATESYSTEM" FOREIGN KEY ("COORDINATESYSTEM")
	  REFERENCES "GIS"."DOMAIN_COORDINATESYSTEM" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."CONTROLMONUMENTPOINT" ADD CONSTRAINT "FK_0_DOMAIN_HORIZONTALDATUMT" FOREIGN KEY ("HORIZONTALDATUM")
	  REFERENCES "GIS"."DOMAIN_HORIZONTALDATUMTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."CONTROLMONUMENTPOINT" ADD CONSTRAINT "FK_0_DOMAIN_MONUMENTPOINTTYP" FOREIGN KEY ("MONUMENTPOINTTYPE")
	  REFERENCES "GIS"."DOMAIN_MONUMENTPOINTTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."CONTROLMONUMENTPOINT" ADD CONSTRAINT "FK_0_DOMAIN_VERTICALDATUMTYP" FOREIGN KEY ("COLLECTIONVERTICALDATUM")
	  REFERENCES "GIS"."DOMAIN_VERTICALDATUMTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."CONTROLMONUMENTPOINT" ADD CONSTRAINT "FK_2_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."CONTROLMONUMENTPOINT" ADD CONSTRAINT "FK_4_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."CONTROLMONUMENTPOINT" ADD CONSTRAINT "FK_5_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."CONTROLMONUMENTPOINT" ADD CONSTRAINT "FK_5_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."CONTROLMONUMENTPOINT" ADD CONSTRAINT "FK_5_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table WASTEWATERNODE
--------------------------------------------------------
  ALTER TABLE "GIS"."WASTEWATERNODE" ADD CONSTRAINT "FK_0_DOMAIN_WWNDETYPE" FOREIGN KEY ("WWATERNODETYPE")
	  REFERENCES "GIS"."DOMAIN_WWNDETYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WASTEWATERNODE" ADD CONSTRAINT "FK_0_DOMAIN_WWNETTYPE" FOREIGN KEY ("WWATERNETWORKTYPE")
	  REFERENCES "GIS"."DOMAIN_WWNETTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WASTEWATERNODE" ADD CONSTRAINT "FK_18_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WASTEWATERNODE" ADD CONSTRAINT "FK_1_DOMAIN_FITTYPE" FOREIGN KEY ("FITTINGTYPE")
	  REFERENCES "GIS"."DOMAIN_FITTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WASTEWATERNODE" ADD CONSTRAINT "FK_1_DOMAIN_VOLTYPE" FOREIGN KEY ("VOLUMETYPE")
	  REFERENCES "GIS"."DOMAIN_VOLTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WASTEWATERNODE" ADD CONSTRAINT "FK_23_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WASTEWATERNODE" ADD CONSTRAINT "FK_26_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WASTEWATERNODE" ADD CONSTRAINT "FK_39_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WASTEWATERNODE" ADD CONSTRAINT "FK_39_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WASTEWATERNODE" ADD CONSTRAINT "FK_5_DOMAIN_UTLNDETYPE" FOREIGN KEY ("UTILITYNODETYPE")
	  REFERENCES "GIS"."DOMAIN_UTLNDETYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WASTEWATERNODE" ADD CONSTRAINT "FK_6_DOMAIN_NDESHPTYPE" FOREIGN KEY ("NODESHAPETYPE")
	  REFERENCES "GIS"."DOMAIN_NDESHPTYPE" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table TRANSPORTATIONTUNNEL
--------------------------------------------------------
  ALTER TABLE "GIS"."TRANSPORTATIONTUNNEL" ADD CONSTRAINT "FK_0_DOMAIN_TRANSTUNNELTYPE" FOREIGN KEY ("TUNNELTYPE")
	  REFERENCES "GIS"."DOMAIN_TRANSTUNNELTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."TRANSPORTATIONTUNNEL" ADD CONSTRAINT "FK_13_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."TRANSPORTATIONTUNNEL" ADD CONSTRAINT "FK_14_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."TRANSPORTATIONTUNNEL" ADD CONSTRAINT "FK_24_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."TRANSPORTATIONTUNNEL" ADD CONSTRAINT "FK_36_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."TRANSPORTATIONTUNNEL" ADD CONSTRAINT "FK_36_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table POLSEGMENT
--------------------------------------------------------
  ALTER TABLE "GIS"."POLSEGMENT" ADD CONSTRAINT "FK_0_DOMAIN_POLSEGTYPE" FOREIGN KEY ("POLSEGMENTTYPE")
	  REFERENCES "GIS"."DOMAIN_POLSEGTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."POLSEGMENT" ADD CONSTRAINT "FK_1_DOMAIN_PIPEMATERIAL" FOREIGN KEY ("MATERIAL")
	  REFERENCES "GIS"."DOMAIN_PIPEMATERIAL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."POLSEGMENT" ADD CONSTRAINT "FK_1_DOMAIN_POLNETTYPE" FOREIGN KEY ("POLNETWORKTYPE")
	  REFERENCES "GIS"."DOMAIN_POLNETTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."POLSEGMENT" ADD CONSTRAINT "FK_21_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."POLSEGMENT" ADD CONSTRAINT "FK_21_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."POLSEGMENT" ADD CONSTRAINT "FK_23_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."POLSEGMENT" ADD CONSTRAINT "FK_2_DOMAIN_SEGSHPTYPE" FOREIGN KEY ("SEGMENTSHAPETYPE")
	  REFERENCES "GIS"."DOMAIN_SEGSHPTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."POLSEGMENT" ADD CONSTRAINT "FK_6_DOMAIN_SEGTYPE" FOREIGN KEY ("SEGMENTTYPE")
	  REFERENCES "GIS"."DOMAIN_SEGTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."POLSEGMENT" ADD CONSTRAINT "FK_6_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."POLSEGMENT" ADD CONSTRAINT "FK_6_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table THERMALNODE
--------------------------------------------------------
  ALTER TABLE "GIS"."THERMALNODE" ADD CONSTRAINT "FK_0_DOMAIN_THMNODTYPE" FOREIGN KEY ("THERMNODETYPE")
	  REFERENCES "GIS"."DOMAIN_THMNODTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."THERMALNODE" ADD CONSTRAINT "FK_1_DOMAIN_THMNETTYPE" FOREIGN KEY ("THERMNETWORKTYPE")
	  REFERENCES "GIS"."DOMAIN_THMNETTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."THERMALNODE" ADD CONSTRAINT "FK_25_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."THERMALNODE" ADD CONSTRAINT "FK_2_DOMAIN_FITTYPE" FOREIGN KEY ("FITTINGTYPE")
	  REFERENCES "GIS"."DOMAIN_FITTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."THERMALNODE" ADD CONSTRAINT "FK_2_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."THERMALNODE" ADD CONSTRAINT "FK_33_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."THERMALNODE" ADD CONSTRAINT "FK_33_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."THERMALNODE" ADD CONSTRAINT "FK_36_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."THERMALNODE" ADD CONSTRAINT "FK_3_DOMAIN_UTLNDETYPE" FOREIGN KEY ("UTILITYNODETYPE")
	  REFERENCES "GIS"."DOMAIN_UTLNDETYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."THERMALNODE" ADD CONSTRAINT "FK_4_DOMAIN_NDESHPTYPE" FOREIGN KEY ("NODESHAPETYPE")
	  REFERENCES "GIS"."DOMAIN_NDESHPTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."THERMALNODE" ADD CONSTRAINT "FK_5_DOMAIN_VOLTYPE" FOREIGN KEY ("VOLUMETYPE")
	  REFERENCES "GIS"."DOMAIN_VOLTYPE" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table ELECCONDUITBANKSEGMENT
--------------------------------------------------------
  ALTER TABLE "GIS"."ELECCONDUITBANKSEGMENT" ADD CONSTRAINT "FK_0_DOMAIN_ENETTYPE" FOREIGN KEY ("ELECNETWORKTYPE")
	  REFERENCES "GIS"."DOMAIN_ENETTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECCONDUITBANKSEGMENT" ADD CONSTRAINT "FK_0_DOMAIN_SEGTYPE" FOREIGN KEY ("SEGMENTTYPE")
	  REFERENCES "GIS"."DOMAIN_SEGTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECCONDUITBANKSEGMENT" ADD CONSTRAINT "FK_19_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECCONDUITBANKSEGMENT" ADD CONSTRAINT "FK_1_DOMAIN_ESEGTYPE" FOREIGN KEY ("ELECSEGMENTTYPE")
	  REFERENCES "GIS"."DOMAIN_ESEGTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECCONDUITBANKSEGMENT" ADD CONSTRAINT "FK_24_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECCONDUITBANKSEGMENT" ADD CONSTRAINT "FK_2_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECCONDUITBANKSEGMENT" ADD CONSTRAINT "FK_3_DOMAIN_SEGSHPTYPE" FOREIGN KEY ("SEGMENTSHAPETYPE")
	  REFERENCES "GIS"."DOMAIN_SEGSHPTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECCONDUITBANKSEGMENT" ADD CONSTRAINT "FK_7_DOMAIN_PIPEMATERIAL" FOREIGN KEY ("MATERIAL")
	  REFERENCES "GIS"."DOMAIN_PIPEMATERIAL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECCONDUITBANKSEGMENT" ADD CONSTRAINT "FK_7_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECCONDUITBANKSEGMENT" ADD CONSTRAINT "FK_7_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table WATERNODE
--------------------------------------------------------
  ALTER TABLE "GIS"."WATERNODE" ADD CONSTRAINT "FK_0_DOMAIN_NDESHPTYPE" FOREIGN KEY ("NODESHAPETYPE")
	  REFERENCES "GIS"."DOMAIN_NDESHPTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERNODE" ADD CONSTRAINT "FK_18_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERNODE" ADD CONSTRAINT "FK_1_DOMAIN_UTLNDETYPE" FOREIGN KEY ("UTILITYNODETYPE")
	  REFERENCES "GIS"."DOMAIN_UTLNDETYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERNODE" ADD CONSTRAINT "FK_1_DOMAIN_WTRNDETYPE" FOREIGN KEY ("WATERNODETYPE")
	  REFERENCES "GIS"."DOMAIN_WTRNDETYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERNODE" ADD CONSTRAINT "FK_1_DOMAIN_WTRNETTYPE" FOREIGN KEY ("WATERNETWORKTYPE")
	  REFERENCES "GIS"."DOMAIN_WTRNETTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERNODE" ADD CONSTRAINT "FK_28_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERNODE" ADD CONSTRAINT "FK_2_DOMAIN_VOLTYPE" FOREIGN KEY ("VOLUMETYPE")
	  REFERENCES "GIS"."DOMAIN_VOLTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERNODE" ADD CONSTRAINT "FK_43_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERNODE" ADD CONSTRAINT "FK_43_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERNODE" ADD CONSTRAINT "FK_6_DOMAIN_FITTYPE" FOREIGN KEY ("FITTINGTYPE")
	  REFERENCES "GIS"."DOMAIN_FITTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERNODE" ADD CONSTRAINT "FK_9_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table PROJECTREFERENCE
--------------------------------------------------------
  ALTER TABLE "GIS"."PROJECTREFERENCE" ADD CONSTRAINT "FK_16_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."PROJECTREFERENCE" ADD CONSTRAINT "FK_22_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."PROJECTREFERENCE" ADD CONSTRAINT "FK_22_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."PROJECTREFERENCE" ADD CONSTRAINT "FK_29_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."PROJECTREFERENCE" ADD CONSTRAINT "FK_31_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table DOTPERMIT
--------------------------------------------------------
  ALTER TABLE "GIS"."DOTPERMIT" ADD CONSTRAINT "FK_19_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."DOTPERMIT" ADD CONSTRAINT "FK_32_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."DOTPERMIT" ADD CONSTRAINT "FK_4_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."DOTPERMIT" ADD CONSTRAINT "FK_6_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."DOTPERMIT" ADD CONSTRAINT "FK_6_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table WASTEWATERSEGMENT
--------------------------------------------------------
  ALTER TABLE "GIS"."WASTEWATERSEGMENT" ADD CONSTRAINT "FK_0_DOMAIN_PIPEMATERIAL" FOREIGN KEY ("MATERIAL")
	  REFERENCES "GIS"."DOMAIN_PIPEMATERIAL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WASTEWATERSEGMENT" ADD CONSTRAINT "FK_0_DOMAIN_WWSEGTYPE" FOREIGN KEY ("WWATERSEGMENTTYPE")
	  REFERENCES "GIS"."DOMAIN_WWSEGTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WASTEWATERSEGMENT" ADD CONSTRAINT "FK_14_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WASTEWATERSEGMENT" ADD CONSTRAINT "FK_1_DOMAIN_WWNETTYPE" FOREIGN KEY ("WWATERNETWORKTYPE")
	  REFERENCES "GIS"."DOMAIN_WWNETTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WASTEWATERSEGMENT" ADD CONSTRAINT "FK_21_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WASTEWATERSEGMENT" ADD CONSTRAINT "FK_30_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WASTEWATERSEGMENT" ADD CONSTRAINT "FK_40_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WASTEWATERSEGMENT" ADD CONSTRAINT "FK_40_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table PAVEMENTSECTION
--------------------------------------------------------
  ALTER TABLE "GIS"."PAVEMENTSECTION" ADD CONSTRAINT "FK_19_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."PAVEMENTSECTION" ADD CONSTRAINT "FK_19_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."PAVEMENTSECTION" ADD CONSTRAINT "FK_41_DOMAIN_PAVEMENTSECTIONT" FOREIGN KEY ("PAVEMENTSECTIONTYPE")
	  REFERENCES "GIS"."DOMAIN_PAVEMENTSECTIONT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."PAVEMENTSECTION" ADD CONSTRAINT "FK_41_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."PAVEMENTSECTION" ADD CONSTRAINT "FK_41_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."PAVEMENTSECTION" ADD CONSTRAINT "FK_41_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table WALL
--------------------------------------------------------
  ALTER TABLE "GIS"."WALL" ADD CONSTRAINT "FK_0_DOMAIN_GSIP_LENGTHUOM" FOREIGN KEY ("WALLHEIGHTUOM")
	  REFERENCES "GIS"."DOMAIN_GSIP_LENGTHUOM" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WALL" ADD CONSTRAINT "FK_0_DOMAIN_WALLTYPE" FOREIGN KEY ("WALLTYPE")
	  REFERENCES "GIS"."DOMAIN_WALLTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WALL" ADD CONSTRAINT "FK_11_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WALL" ADD CONSTRAINT "FK_37_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WALL" ADD CONSTRAINT "FK_38_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WALL" ADD CONSTRAINT "FK_38_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WALL" ADD CONSTRAINT "FK_8_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table WATERSEGMENT
--------------------------------------------------------
  ALTER TABLE "GIS"."WATERSEGMENT" ADD CONSTRAINT "FK_0_DOMAIN_WTRSEGTYPE" FOREIGN KEY ("WATERSEGMENTTYPE")
	  REFERENCES "GIS"."DOMAIN_WTRSEGTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERSEGMENT" ADD CONSTRAINT "FK_1_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERSEGMENT" ADD CONSTRAINT "FK_2_DOMAIN_WTRNETTYPE" FOREIGN KEY ("WATERNETWORKTYPE")
	  REFERENCES "GIS"."DOMAIN_WTRNETTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERSEGMENT" ADD CONSTRAINT "FK_32_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERSEGMENT" ADD CONSTRAINT "FK_39_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERSEGMENT" ADD CONSTRAINT "FK_44_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERSEGMENT" ADD CONSTRAINT "FK_44_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERSEGMENT" ADD CONSTRAINT "FK_5_DOMAIN_PIPEMATERIAL" FOREIGN KEY ("MATERIAL")
	  REFERENCES "GIS"."DOMAIN_PIPEMATERIAL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERSEGMENT" ADD CONSTRAINT "FK_5_DOMAIN_SEGTYPE" FOREIGN KEY ("SEGMENTTYPE")
	  REFERENCES "GIS"."DOMAIN_SEGTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."WATERSEGMENT" ADD CONSTRAINT "FK_6_DOMAIN_SEGSHPTYPE" FOREIGN KEY ("SEGMENTSHAPETYPE")
	  REFERENCES "GIS"."DOMAIN_SEGSHPTYPE" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table GRID
--------------------------------------------------------
  ALTER TABLE "GIS"."GRID" ADD CONSTRAINT "FK_15_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GRID" ADD CONSTRAINT "FK_15_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GRID" ADD CONSTRAINT "FK_22_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GRID" ADD CONSTRAINT "FK_34_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."GRID" ADD CONSTRAINT "FK_8_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table ELECTRICALSEGMENT
--------------------------------------------------------
  ALTER TABLE "GIS"."ELECTRICALSEGMENT" ADD CONSTRAINT "FK_0_DOMAIN_ESEGTYPE" FOREIGN KEY ("ELECSEGMENTTYPE")
	  REFERENCES "GIS"."DOMAIN_ESEGTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECTRICALSEGMENT" ADD CONSTRAINT "FK_0_DOMAIN_SEGSHPTYPE" FOREIGN KEY ("SEGMENTSHAPETYPE")
	  REFERENCES "GIS"."DOMAIN_SEGSHPTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECTRICALSEGMENT" ADD CONSTRAINT "FK_17_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECTRICALSEGMENT" ADD CONSTRAINT "FK_1_DOMAIN_ENETTYPE" FOREIGN KEY ("ELECNETWORKTYPE")
	  REFERENCES "GIS"."DOMAIN_ENETTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECTRICALSEGMENT" ADD CONSTRAINT "FK_2_DOMAIN_PIPEMATERIAL" FOREIGN KEY ("MATERIAL")
	  REFERENCES "GIS"."DOMAIN_PIPEMATERIAL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECTRICALSEGMENT" ADD CONSTRAINT "FK_36_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECTRICALSEGMENT" ADD CONSTRAINT "FK_36_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECTRICALSEGMENT" ADD CONSTRAINT "FK_4_DOMAIN_SEGTYPE" FOREIGN KEY ("SEGMENTTYPE")
	  REFERENCES "GIS"."DOMAIN_SEGTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECTRICALSEGMENT" ADD CONSTRAINT "FK_9_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."ELECTRICALSEGMENT" ADD CONSTRAINT "FK_9_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table RECREATIONFEATURE
--------------------------------------------------------
  ALTER TABLE "GIS"."RECREATIONFEATURE" ADD CONSTRAINT "FK_13_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."RECREATIONFEATURE" ADD CONSTRAINT "FK_16_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."RECREATIONFEATURE" ADD CONSTRAINT "FK_25_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."RECREATIONFEATURE" ADD CONSTRAINT "FK_25_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."RECREATIONFEATURE" ADD CONSTRAINT "FK_26_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table COMMUNICATIONNODE
--------------------------------------------------------
  ALTER TABLE "GIS"."COMMUNICATIONNODE" ADD CONSTRAINT "FK_0_DOMAIN_COMNDETYPE" FOREIGN KEY ("COMMNODETYPE")
	  REFERENCES "GIS"."DOMAIN_COMNDETYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."COMMUNICATIONNODE" ADD CONSTRAINT "FK_0_DOMAIN_COMNETTYPE" FOREIGN KEY ("COMMNETWORKTYPE")
	  REFERENCES "GIS"."DOMAIN_COMNETTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."COMMUNICATIONNODE" ADD CONSTRAINT "FK_10_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."COMMUNICATIONNODE" ADD CONSTRAINT "FK_12_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."COMMUNICATIONNODE" ADD CONSTRAINT "FK_15_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."COMMUNICATIONNODE" ADD CONSTRAINT "FK_1_DOMAIN_NDESHPTYPE" FOREIGN KEY ("NODESHAPETYPE")
	  REFERENCES "GIS"."DOMAIN_NDESHPTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."COMMUNICATIONNODE" ADD CONSTRAINT "FK_2_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."COMMUNICATIONNODE" ADD CONSTRAINT "FK_2_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."COMMUNICATIONNODE" ADD CONSTRAINT "FK_5_DOMAIN_FITTYPE" FOREIGN KEY ("FITTINGTYPE")
	  REFERENCES "GIS"."DOMAIN_FITTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."COMMUNICATIONNODE" ADD CONSTRAINT "FK_6_DOMAIN_UTLNDETYPE" FOREIGN KEY ("UTILITYNODETYPE")
	  REFERENCES "GIS"."DOMAIN_UTLNDETYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."COMMUNICATIONNODE" ADD CONSTRAINT "FK_6_DOMAIN_VOLTYPE" FOREIGN KEY ("VOLUMETYPE")
	  REFERENCES "GIS"."DOMAIN_VOLTYPE" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table POLNODE
--------------------------------------------------------
  ALTER TABLE "GIS"."POLNODE" ADD CONSTRAINT "FK_0_DOMAIN_POLNDETYPE" FOREIGN KEY ("POLNODETYPE")
	  REFERENCES "GIS"."DOMAIN_POLNDETYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."POLNODE" ADD CONSTRAINT "FK_0_DOMAIN_POLNETTYPE" FOREIGN KEY ("POLNETWORKTYPE")
	  REFERENCES "GIS"."DOMAIN_POLNETTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."POLNODE" ADD CONSTRAINT "FK_0_DOMAIN_UTLNDETYPE" FOREIGN KEY ("UTILITYNODETYPE")
	  REFERENCES "GIS"."DOMAIN_UTLNDETYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."POLNODE" ADD CONSTRAINT "FK_10_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."POLNODE" ADD CONSTRAINT "FK_15_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."POLNODE" ADD CONSTRAINT "FK_20_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."POLNODE" ADD CONSTRAINT "FK_20_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."POLNODE" ADD CONSTRAINT "FK_35_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."POLNODE" ADD CONSTRAINT "FK_4_DOMAIN_FITTYPE" FOREIGN KEY ("FITTINGTYPE")
	  REFERENCES "GIS"."DOMAIN_FITTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."POLNODE" ADD CONSTRAINT "FK_4_DOMAIN_VOLTYPE" FOREIGN KEY ("VOLUMETYPE")
	  REFERENCES "GIS"."DOMAIN_VOLTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."POLNODE" ADD CONSTRAINT "FK_5_DOMAIN_NDESHPTYPE" FOREIGN KEY ("NODESHAPETYPE")
	  REFERENCES "GIS"."DOMAIN_NDESHPTYPE" ("TYPE") DISABLE;
--------------------------------------------------------
--  Ref Constraints for Table RAILTRACK
--------------------------------------------------------
  ALTER TABLE "GIS"."RAILTRACK" ADD CONSTRAINT "FK_0_DOMAIN_RAILCONSTRUCTION" FOREIGN KEY ("RAILCONSTRUCTIONTYPE")
	  REFERENCES "GIS"."DOMAIN_RAILCONSTRUCTIONTYPE" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."RAILTRACK" ADD CONSTRAINT "FK_17_DOMAIN_UTILOPSTAT" FOREIGN KEY ("OPERATIONALSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILOPSTAT" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."RAILTRACK" ADD CONSTRAINT "FK_23_DOMAIN_RES" FOREIGN KEY ("RESOLUTION")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."RAILTRACK" ADD CONSTRAINT "FK_23_DOMAIN_RESSTATUS" FOREIGN KEY ("RESOLUTIONSTATUS")
	  REFERENCES "GIS"."DOMAIN_UTILITYRESOLUTIONSTATUS" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."RAILTRACK" ADD CONSTRAINT "FK_27_DOMAIN_UTILITYINVESTATI" FOREIGN KEY ("INVESTIGATIONLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYINVESTATIONLEVEL" ("TYPE") DISABLE;
  ALTER TABLE "GIS"."RAILTRACK" ADD CONSTRAINT "FK_34_DOMAIN_UTILITYDATAQUALI" FOREIGN KEY ("QUALITYLEVEL")
	  REFERENCES "GIS"."DOMAIN_UTILITYDATAQUALITY" ("TYPE") DISABLE;



--------------------------------------------------------
-- Spatial Index
--------------------------------------------------------  
INSERT INTO MDSYS.SDO_COORD_REF_SYSTEM (
  SRID,
  COORD_REF_SYS_NAME,
  COORD_REF_SYS_KIND,
  COORD_SYS_ID,
  DATUM_ID,
  SOURCE_GEOG_SRID,
  PROJECTION_CONV_ID,
  CMPD_HORIZ_SRID,
  CMPD_VERT_SRID,
  INFORMATION_SOURCE,
  DATA_SOURCE,
  IS_LEGACY,
  LEGACY_CODE,
  LEGACY_WKTEXT,
  LEGACY_CS_BOUNDS)
VALUES (
  9989,
  'NAD83(HARN) / Virginia North (ftUS)',
  'COMPOUND',
  NULL,
  NULL,
  NULL,
  NULL,
  2924,
  5701,
  NULL,
  'EPSG',
  'FALSE',
  NULL,
  NULL,
  NULL);
  
DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_BRIDGE' AND COLUMN_NAME = 'OGC_GEOMETRY';  
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_BRIDGE', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_BRIDGE_SIDX ON GIS_BRIDGE(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=multipolygon');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_BUILDING' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_BUILDING', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_BUILDING_SIDX ON GIS_BUILDING(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=multipolygon');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_COMMUNICATIONNODE' AND COLUMN_NAME = 'OGC_GEOMETRY';                                 
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_COMMUNICATIONNODE', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_COMMUNICATIONNODE_SIDX ON GIS_COMMUNICATIONNODE(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=point');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_COMMUNICATIONSEGMENT' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_COMMUNICATIONSEGMENT', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_COMMUNICATIONSEGMENT_SIDX ON GIS_COMMUNICATIONSEGMENT(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=curve');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_CONFLICTNODE' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_CONFLICTNODE', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_CONFLICTNODE_SIDX ON GIS_CONFLICTNODE(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=point');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_CONSTRUCTIONLINE' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_CONSTRUCTIONLINE', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_CONSTRUCTIONLINE_SIDX ON GIS_CONSTRUCTIONLINE(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=curve');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_CONTROLMONUMENTPOINT' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_CONTROLMONUMENTPOINT', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_CONTROLMONUMENTPOINT_SIDX ON GIS_CONTROLMONUMENTPOINT(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=point');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_DOTPERMIT' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_DOTPERMIT', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_DOTPERMIT_SIDX ON GIS_DOTPERMIT(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=multipolygon');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_ELECCONDUITBANKSEGMENT' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_ELECCONDUITBANKSEGMENT', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_ELECCONDUITBANKSEGMEN_SIDX ON GIS_ELECCONDUITBANKSEGMENT(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=curve');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_ELECTRICALNODE' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_ELECTRICALNODE', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_ELECTRICALNODE_SIDX ON GIS_ELECTRICALNODE(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=point');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_ELECTRICALSEGMENT' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_ELECTRICALSEGMENT', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_ELECTRICALSEGMENT_SIDX ON GIS_ELECTRICALSEGMENT(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=curve');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_ELEVATIONCONTOUR' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_ELEVATIONCONTOUR', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_ELEVATIONCONTOUR_SIDX ON GIS_ELEVATIONCONTOUR(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=curve');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_EXTERNALPROPERTYINTEREST' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_EXTERNALPROPERTYINTEREST', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_EXTERNALPROPERTYINTER_SIDX ON GIS_EXTERNALPROPERTYINTEREST(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=multipolygon');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_FENCE' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_FENCE', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_FENCE_SIDX ON GIS_FENCE(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=curve');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_GASNODE' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_GASNODE', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_GASNODE_SIDX ON GIS_GASNODE(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=point');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_GASSEGMENT' AND COLUMN_NAME = 'OGC_GEOMETRY';

INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_GASSEGMENT', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_GASSEGMENT_SIDX ON GIS_GASSEGMENT(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=curve');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_GRID' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_GRID', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_GRID_SIDX ON GIS_GRID(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=multipolygon');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_GUARDRAIL' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_GUARDRAIL', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_GUARDRAIL_SIDX ON GIS_GUARDRAIL(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=curve');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_INSTALLATION' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_INSTALLATION', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_INSTALLATION_SIDX ON GIS_INSTALLATION(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=multipolygon');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_LANDPARCEL' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_LANDPARCEL', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_LANDPARCEL_SIDX ON GIS_LANDPARCEL(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=multipolygon');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_PAVEMENTSECTION' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_PAVEMENTSECTION', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_PAVEMENTSECTION_SIDX ON GIS_PAVEMENTSECTION(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=multipolygon');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_POLNODE' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_POLNODE', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_POLNODE_SIDX ON GIS_POLNODE(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=point');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_POLSEGMENT' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_POLSEGMENT', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_POLSEGMENT_SIDX ON GIS_POLSEGMENT(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=curve');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_PROJECTREFERENCE' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_PROJECTREFERENCE', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_PROJECTREFERENCE_SIDX ON GIS_PROJECTREFERENCE(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=multipolygon');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_RAILTRACK' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_RAILTRACK', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_RAILTRACK_SIDX ON GIS_RAILTRACK(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=curve');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_RECREATIONAREA' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_RECREATIONAREA', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_RECREATIONAREA_SIDX ON GIS_RECREATIONAREA(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=multipolygon');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_RECREATIONFEATURE' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_RECREATIONFEATURE', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_RECREATIONFEATURE_SIDX ON GIS_RECREATIONFEATURE(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=point');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_RESTRICTEDAREA' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_RESTRICTEDAREA', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_RESTRICTEDAREA_SIDX ON GIS_RESTRICTEDAREA(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=multipolygon');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_ROADPATH' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_ROADPATH', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_ROADPATH_SIDX ON GIS_ROADPATH(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=curve');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_SIGN' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_SIGN', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_SIGN_SIDX ON GIS_SIGN(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=point');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_SITE' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_SITE', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_SITE_SIDX ON GIS_SITE(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=multipolygon');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_STRUCTURE' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_STRUCTURE', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_STRUCTURE_SIDX ON GIS_STRUCTURE(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=multipolygon');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_SURVEYJOB' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_SURVEYJOB', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_SURVEYJOB_SIDX ON GIS_SURVEYJOB(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=multipolygon');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_SURVEYPOINT' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_SURVEYPOINT', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_SURVEYPOINT_SIDX ON GIS_SURVEYPOINT(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=point');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_THERMALNODE' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_THERMALNODE', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_THERMALNODE_SIDX ON GIS_THERMALNODE(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=point');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_THERMALSEGMENT' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_THERMALSEGMENT', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_THERMALSEGMENT_SIDX ON GIS_THERMALSEGMENT(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=curve');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_TOWER' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_TOWER', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_TOWER_SIDX ON GIS_TOWER(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=point');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_TRANSPORTATIONTUNNEL' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_TRANSPORTATIONTUNNEL', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_TRANSPORTATIONTUNNEL_SIDX ON GIS_TRANSPORTATIONTUNNEL(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=multipolygon');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_UTILITYFEATURE' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_UTILITYFEATURE', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_UTILITYFEATURE_SIDX ON GIS_UTILITYFEATURE(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=multipolygon');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_WALL' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_WALL', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_WALL_SIDX ON GIS_WALL(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=curve');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_WASTEWATERNODE' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_WASTEWATERNODE', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_WASTEWATERNODE_SIDX ON GIS_WASTEWATERNODE(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=point');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_WASTEWATERSEGMENT' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_WASTEWATERSEGMENT', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_WASTEWATERSEGMENT_SIDX ON GIS_WASTEWATERSEGMENT(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=curve');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_WATERCOURSELINE' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_WATERCOURSELINE', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_WATERCOURSELINE_SIDX ON GIS_WATERCOURSELINE(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=curve');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_WATERFEATURE' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_WATERFEATURE', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_WATERFEATURE_SIDX ON GIS_WATERFEATURE(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=multipolygon');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_WATERNODE' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_WATERNODE', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_WATERNODE_SIDX ON GIS_WATERNODE(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=point');

DELETE FROM USER_SDO_GEOM_METADATA WHERE TABLE_NAME = 'GIS_WATERSEGMENT' AND COLUMN_NAME = 'OGC_GEOMETRY';
INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID)
  VALUES ('GIS_WATERSEGMENT', 'OGC_GEOMETRY',
    MDSYS.SDO_DIM_ARRAY
    (
       MDSYS.SDO_DIM_ELEMENT('X', 0, 999999, 0.0000000005), 
       MDSYS.SDO_DIM_ELEMENT('Y', 0, 999999, 0.0000000005),
       MDSYS.SDO_DIM_ELEMENT('Z', -5000000, 5000000, 0.0000000005)
    ),
    9989);

CREATE INDEX GIS_WATERSEGMENT_SIDX ON GIS_WATERSEGMENT(OGC_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARAMETERS('layer_gtype=curve');

--------------------------------------------------------
--  Sequences and Triggers
--------------------------------------------------------
--------------------------------------------------------
--  Sequence and Trigger BRIDGE_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."BRIDGE_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."BRIDGE_TR" 
  before insert on BRIDGE
  for each row
begin
  select BRIDGE_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."BRIDGE_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger BUILDING_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."BUILDING_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 21 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."BUILDING_TR" 
  before insert on BUILDING
  for each row
begin
  select BUILDING_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."BUILDING_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger COMMUNICATIONNODE_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."COMMUNICATIONNODE_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 601 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."COMMUNICATIONNODE_TR" 
  before insert on COMMUNICATIONNODE
  for each row
begin
  select COMMUNICATIONNODE_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."COMMUNICATIONNODE_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger COMMUNICATIONSEGMENT_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."COMMUNICATIONSEGMENT_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 301 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."COMMUNICATIONSEGMENT_TR" 
  before insert on COMMUNICATIONSEGMENT
  for each row
begin
  select COMMUNICATIONSEGMENT_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."COMMUNICATIONSEGMENT_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger CONFLICTNODE_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."CONFLICTNODE_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."CONFLICTNODE_TR" 
  before insert on CONFLICTNODE
  for each row
begin
  select CONFLICTNODE_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."CONFLICTNODE_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger CONSTRUCTIONLINE_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."CONSTRUCTIONLINE_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."CONSTRUCTIONLINE_TR" 
  before insert on CONSTRUCTIONLINE
  for each row
begin
  select CONSTRUCTIONLINE_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."CONSTRUCTIONLINE_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger CONTROLMONUMENTPOINT_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."CONTROLMONUMENTPOINT_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."CONTROLMONUMENTPOINT_TR" 
  before insert on CONTROLMONUMENTPOINT
  for each row
begin
  select CONTROLMONUMENTPOINT_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."CONTROLMONUMENTPOINT_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger DOTPERMIT_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."DOTPERMIT_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 41 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."DOTPERMIT_TR" 
  before insert on DOTPERMIT
  for each row
begin
  select DOTPERMIT_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."DOTPERMIT_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger ELECCONDUITBANKSEGMENT_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."ELECCONDUITBANKSEGMENT_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."ELECCONDUITBANKSEGMENT_TR" 
  before insert on ELECCONDUITBANKSEGMENT
  for each row
begin
  select ELECCONDUITBANKSEGMENT_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."ELECCONDUITBANKSEGMENT_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger ELECTRICALNODE_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."ELECTRICALNODE_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 101 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."ELECTRICALNODE_TR" 
  before insert on ELECTRICALNODE
  for each row
begin
  select ELECTRICALNODE_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."ELECTRICALNODE_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger ELECTRICALSEGMENT_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."ELECTRICALSEGMENT_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 61 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."ELECTRICALSEGMENT_TR" 
  before insert on ELECTRICALSEGMENT
  for each row
begin
  select ELECTRICALSEGMENT_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."ELECTRICALSEGMENT_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger ELEVATIONCONTOUR_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."ELEVATIONCONTOUR_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."ELEVATIONCONTOUR_TR" 
  before insert on ELEVATIONCONTOUR
  for each row
begin
  select ELEVATIONCONTOUR_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."ELEVATIONCONTOUR_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger EXTERNALPROPERTYINTEREST_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."EXTERNALPROPERTYINTEREST_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."EXTERNALPROPERTYINTEREST_TR" 
  before insert on EXTERNALPROPERTYINTEREST
  for each row
begin
  select EXTERNALPROPERTYINTEREST_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."EXTERNALPROPERTYINTEREST_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger FENCE_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."FENCE_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 21 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."FENCE_TR" 
  before insert on FENCE
  for each row
begin
  select FENCE_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."FENCE_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger GASNODE_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."GASNODE_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 161 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."GASNODE_TR" 
  before insert on GASNODE
  for each row
begin
  select GASNODE_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."GASNODE_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger GASSEGMENT_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."GASSEGMENT_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 161 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."GASSEGMENT_TR" 
  before insert on GASSEGMENT
  for each row
begin
  select GASSEGMENT_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."GASSEGMENT_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger GRID_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."GRID_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."GRID_TR" 
  before insert on GRID
  for each row
begin
  select GRID_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."GRID_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger GUARDRAIL_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."GUARDRAIL_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."GUARDRAIL_TR" 
  before insert on GUARDRAIL
  for each row
begin
  select GUARDRAIL_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."GUARDRAIL_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger INSTALLATION_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."INSTALLATION_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."INSTALLATION_TR" 
  before insert on INSTALLATION
  for each row
begin
  select INSTALLATION_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."INSTALLATION_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger LANDPARCEL_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."LANDPARCEL_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."LANDPARCEL_TR" 
  before insert on LANDPARCEL
  for each row
begin
  select LANDPARCEL_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."LANDPARCEL_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger PAVEMENTSECTION_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."PAVEMENTSECTION_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."PAVEMENTSECTION_TR" 
  before insert on PAVEMENTSECTION
  for each row
begin
  select PAVEMENTSECTION_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."PAVEMENTSECTION_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger POLNODE_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."POLNODE_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 101 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."POLNODE_TR" 
  before insert on POLNODE
  for each row
begin
  select POLNODE_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."POLNODE_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger POLSEGMENT_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."POLSEGMENT_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 61 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."POLSEGMENT_TR" 
  before insert on POLSEGMENT
  for each row
begin
  select POLSEGMENT_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."POLSEGMENT_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger PROJECTREFERENCE_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."PROJECTREFERENCE_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."PROJECTREFERENCE_TR" 
  before insert on PROJECTREFERENCE
  for each row
begin
  select PROJECTREFERENCE_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."PROJECTREFERENCE_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger RAILTRACK_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."RAILTRACK_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."RAILTRACK_TR" 
  before insert on RAILTRACK
  for each row
begin
  select RAILTRACK_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."RAILTRACK_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger RECREATIONAREA_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."RECREATIONAREA_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."RECREATIONAREA_TR" 
  before insert on RECREATIONAREA
  for each row
begin
  select RECREATIONAREA_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."RECREATIONAREA_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger RECREATIONFEATURE_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."RECREATIONFEATURE_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."RECREATIONFEATURE_TR" 
  before insert on RECREATIONFEATURE
  for each row
begin
  select RECREATIONFEATURE_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."RECREATIONFEATURE_TR" ENABLE; 
--------------------------------------------------------
--  Sequence and Trigger RESTRICTEDAREA_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."RESTRICTEDAREA_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."RESTRICTEDAREA_TR" 
  before insert on RESTRICTEDAREA
  for each row
begin
  select RESTRICTEDAREA_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."RESTRICTEDAREA_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger ROADPATH_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."ROADPATH_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."ROADPATH_TR" 
  before insert on ROADPATH
  for each row
begin
  select ROADPATH_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."ROADPATH_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger SIGN_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."SIGN_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."SIGN_TR" 
  before insert on SIGN
  for each row
begin
  select SIGN_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."SIGN_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger SITE_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."SITE_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."SITE_TR" 
  before insert on SITE
  for each row
begin
  select SITE_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."SITE_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger STRUCTURE_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."STRUCTURE_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."STRUCTURE_TR" 
  before insert on STRUCTURE
  for each row
begin
  select STRUCTURE_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."STRUCTURE_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger SURVEYJOB_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."SURVEYJOB_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."SURVEYJOB_TR" 
  before insert on SURVEYJOB
  for each row
begin
  select SURVEYJOB_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."SURVEYJOB_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger SURVEYPOINT_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."SURVEYPOINT_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."SURVEYPOINT_TR" 
  before insert on SURVEYPOINT
  for each row
begin
  select SURVEYPOINT_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."SURVEYPOINT_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger THERMALNODE_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."THERMALNODE_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 21 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."THERMALNODE_TR" 
  before insert on THERMALNODE
  for each row
begin
  select THERMALNODE_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."THERMALNODE_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger THERMALSEGMENT_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."THERMALSEGMENT_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 21 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."THERMALSEGMENT_TR" 
  before insert on THERMALSEGMENT
  for each row
begin
  select THERMALSEGMENT_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."THERMALSEGMENT_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger TOWER_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."TOWER_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."TOWER_TR" 
  before insert on TOWER
  for each row
begin
  select TOWER_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."TOWER_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger TRANSPORTATIONTUNNEL_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."TRANSPORTATIONTUNNEL_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."TRANSPORTATIONTUNNEL_TR" 
  before insert on TRANSPORTATIONTUNNEL
  for each row
begin
  select TRANSPORTATIONTUNNEL_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."TRANSPORTATIONTUNNEL_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger UTILITYFEATURE_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."UTILITYFEATURE_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."UTILITYFEATURE_TR" 
  before insert on UTILITYFEATURE
  for each row
begin
  select UTILITYFEATURE_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."UTILITYFEATURE_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger WALL_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."WALL_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."WALL_TR" 
  before insert on WALL
  for each row
begin
  select WALL_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."WALL_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger WASTEWATERNODE_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."WASTEWATERNODE_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 621 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."WASTEWATERNODE_TR" 
  before insert on WASTEWATERNODE
  for each row
begin
  select WASTEWATERNODE_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."WASTEWATERNODE_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger WASTEWATERSEGMENT_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."WASTEWATERSEGMENT_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 401 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."WASTEWATERSEGMENT_TR" 
  before insert on WASTEWATERSEGMENT
  for each row
begin
  select WASTEWATERSEGMENT_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."WASTEWATERSEGMENT_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger WATERCOURSELINE_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."WATERCOURSELINE_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."WATERCOURSELINE_TR" 
  before insert on WATERCOURSELINE
  for each row
begin
  select WATERCOURSELINE_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."WATERCOURSELINE_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger WATERSEGMENT_TR
--------------------------------------------------------   
  CREATE SEQUENCE  "GIS"."WATERFEATURE_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."WATERSEGMENT_TR" 
  before insert on WATERSEGMENT
  for each row
begin
  select WATERSEGMENT_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."WATERSEGMENT_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger WATERFEATURE_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."WATERNODE_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 965 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."WATERFEATURE_TR" 
  before insert on WATERFEATURE
  for each row
begin
  select WATERFEATURE_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."WATERFEATURE_TR" ENABLE;
--------------------------------------------------------
--  Sequence and Trigger WATERNODE_TR
--------------------------------------------------------
  CREATE SEQUENCE  "GIS"."WATERSEGMENT_ID"  MINVALUE 1 INCREMENT BY 1 START WITH 530 CACHE 20 NOORDER  NOCYCLE;
  CREATE OR REPLACE TRIGGER "GIS"."WATERNODE_TR" 
  before insert on WATERNODE
  for each row
begin
  select WATERNODE_ID.nextval
  into :NEW.OBJECTID
  from dual;
end;
/
ALTER TRIGGER "GIS"."WATERNODE_TR" ENABLE;

--------------------------------------------------------
-- Synonymn DUAL
--------------------------------------------------------
  CREATE OR REPLACE PUBLIC SYNONYM "DUAL" FOR "SYS"."DUAL";  
  
COMMIT;
EXIT;  